Bug 107166 - Text is invisible, both in UI and in editor on update to 5.3.2, older AMD and Intel GPUs
Summary: Text is invisible, both in UI and in editor on update to 5.3.2, older AMD and...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.3.2.1 rc
Hardware: x86-64 (AMD64) Windows (All)
: highest critical
Assignee: Not Assigned
QA Contact:
URL: https://msdn.microsoft.com/en-us/libr...
Whiteboard: target:6.0.0 target:5.4.0.3
Keywords: bibisected, regression
: 107114 107271 107373 107374 107903 107942 108488 108615 108832 109051 109057 109181 109221 111391 111439 112085 112550 113832 (view as bug list)
Depends on:
Blocks: Font-Rendering DirectWrite DirectWrite-Regression 106990 112305
  Show dependency treegraph
 
Reported: 2017-04-14 19:34 UTC by tomangelo
Modified: 2017-11-14 16:17 UTC (History)
31 users (show)

See Also:
Crash report or crash signature:


Attachments
Seems like all text is just gone, spell check is still working, so there is only problem with displaying (178.10 KB, image/png)
2017-04-14 19:34 UTC, tomangelo
Details
What I get when I install LO 5.3.4.2 (42.81 KB, image/jpeg)
2017-07-09 08:35 UTC, Philippe_E
Details
Missing Dialog Box Text (20.80 KB, image/png)
2017-07-11 18:14 UTC, Kevin Salisbury
Details
Missing Dialog Box Text (3.54 KB, image/png)
2017-07-11 18:16 UTC, Kevin Salisbury
Details
Missing Dialog Box Text (3.71 KB, image/png)
2017-07-11 18:16 UTC, Kevin Salisbury
Details
Capture 1 from LibreOffice Master Dev 6 alpha (libo-master64~2017-07-14_02.04.48_LibreOfficeDev_6.0.0.0.alpha0_Win_x64) (29.74 KB, image/png)
2017-07-14 20:23 UTC, Kevin Salisbury
Details
No text visible on 5.4.0.2 RC2 (81.69 KB, image/jpeg)
2017-07-21 14:15 UTC, Christoffer
Details
dxdiag-systeme (101.70 KB, image/jpeg)
2017-07-22 08:42 UTC, Philippe_E
Details
dxdiag-display (86.06 KB, image/jpeg)
2017-07-22 08:44 UTC, Philippe_E
Details
printing documents omits all text (205.78 KB, image/jpeg)
2017-07-22 19:12 UTC, Christoffer
Details
Screen shot of latest build (23.04 KB, image/png)
2017-07-23 20:36 UTC, Terje Bråten
Details
DirectX Info (DxDiag) Terje (94.11 KB, text/plain)
2017-07-23 20:52 UTC, Terje Bråten
Details
Missing Part of Letter - Menu (42.68 KB, image/png)
2017-07-28 13:57 UTC, Kevin Salisbury
Details
Daily master build from 27.07, with and without Aero (99.24 KB, image/png)
2017-07-28 21:03 UTC, tomangelo
Details
Screen shot of latest build 2017-07-29 (1.33 MB, image/png)
2017-07-29 11:32 UTC, Terje Bråten
Details
Master Build - Windows x64 - 4 AUG 17, RDP Menus Missing Text (34.51 KB, image/png)
2017-08-04 11:35 UTC, Kevin Salisbury
Details
My dxdiag with 5.4 LO don't work (99.28 KB, text/plain)
2017-08-16 15:19 UTC, darioforacappa
Details
zero byte debug (73.62 KB, image/jpeg)
2017-08-21 02:34 UTC, Piter Sadroc
Details
Screenshot of soffice's existence (128.61 KB, image/jpeg)
2017-08-21 09:11 UTC, Piter Sadroc
Details
This oughta help...I hope (73 bytes, text/plain)
2017-08-21 09:29 UTC, Piter Sadroc
Details
A much fuller debug.txt file (996.71 KB, text/plain)
2017-08-21 10:34 UTC, Piter Sadroc
Details
Disabled GL (993.74 KB, text/plain)
2017-08-21 11:10 UTC, Piter Sadroc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tomangelo 2017-04-14 19:34:23 UTC
Created attachment 132573 [details]
Seems like all text is just gone, spell check is still working, so there is only problem with displaying

I was working on LibreOffice 5.3.0 and everything was working correctly. Upgraded to LibreOffice 5.3.2 and text just doesn't render anymore. Uninstall and then reinstall didn't helped. Checksum of downloaded executable seems to be correct, it's bc361f37185cfa3c3090e7c500f04b001595f74a0f88e4bd159e804a5c2ed706 (SHA256), so I think there is no problem with corrupted downloading.
Also program crashes when exiting (after pressing X), in Details there is such information:
"
Podpis problemu:
  Nazwa zdarzenia problemu:	APPCRASH
  Nazwa aplikacji:	soffice.bin
  Wersja aplikacji:	5.3.2.2
  Sygnatura czasowa aplikacji:	58ddff87
  Nazwa modułu z błędem:	atidxx64.dll
  Wersja modułu z błędem:	21.19.384.0
  Sygnatura czasowa modułu z błędem:	58444041
  Kod wyjątku:	c0000005
  Przesunięcie wyjątku:	0000000000025c3a
  Wersja systemu operacyjnego:	6.1.7601.2.1.0.256.49
  Identyfikator ustawień regionalnych:	1045
  Dodatkowe informacje 1:	df2c
  Dodatkowe informacje 2:	df2caeee6ad855797fc6ed5004488696
  Dodatkowe informacje 3:	6a07
  Dodatkowe informacje 4:	6a07d0b39ba085402e1051455c113f44
"
Sorry I didn't translated that part, I don't know how to translate it properly, also don't want to do it wrong to avoid problems.
Specs if it help somehow, I see there is something with GPU driver
Windows 7 x64 Professional N
Intel i5-5200U
AMD Radeon M375 2GB
8GB RAM
Comment 1 V Stuart Foote 2017-04-15 00:27:32 UTC
Try it without OpenGL rendering, and then again without Hardware acceleration.

Results for each?
Comment 2 tomangelo 2017-04-15 13:49:10 UTC
Disabling OpenGL didn't helped, I already disabled that before, it caused some similar problems in one of previous versions and it helped there.
Disabling Hardware acceleration also didn't helped.
Comment 3 Julien Nabet 2017-04-16 15:45:00 UTC
Do you use specific fonts? (I mean did you download some or do you have MsOffice)

Also, for the test, could you rename your LO directory profile (see https://wiki.documentfoundation.org/UserProfile#Windows) and give a new try?
Comment 4 Julien Nabet 2017-04-16 15:50:59 UTC
Could you also check if you use last stable Ati Radeon drivers?
Comment 5 tomangelo 2017-04-18 14:12:04 UTC
I didn't installed any custom fonts, also don't have MS Office.

Renaming directory didn't help.
Updating GPU drivers didn't help.
Comment 6 V Stuart Foote 2017-04-20 05:18:17 UTC
*** Bug 107271 has been marked as a duplicate of this bug. ***
Comment 7 V Stuart Foote 2017-04-20 05:23:08 UTC
I can not reporduce on Windows 8.1 or Windows 10, but NEW given dupe bug 107271

This seems to only affect Windows 7 sp1 (7601) builds with 5.3.2.2
Comment 8 tomangelo 2017-04-30 14:07:33 UTC
Must be something with AMD drivers. After I uninstalled them, all text was visible, but after I install them text become invisible again.
Comment 9 Julien Nabet 2017-04-30 20:27:22 UTC
Are you sure you use last version of the drivers? (see http://support.amd.com/en-us/download)
Comment 10 tomangelo 2017-05-01 12:03:44 UTC
Yes, I checked 17.4.2 and 17.4.4, even rolled back to 16.12.1 (these were working with 5.3.0), still same situation.
Comment 11 V Stuart Foote 2017-05-02 17:34:14 UTC
*** Bug 107374 has been marked as a duplicate of this bug. ***
Comment 12 V Stuart Foote 2017-05-02 17:34:25 UTC
*** Bug 107373 has been marked as a duplicate of this bug. ***
Comment 13 V Stuart Foote 2017-05-02 17:34:45 UTC
*** Bug 107114 has been marked as a duplicate of this bug. ***
Comment 14 V Stuart Foote 2017-05-02 18:30:29 UTC
Can not reproduce on Windows 7 sp1 64-bit en-US with AMD Radeon HD 6450 GPU (driver 8.850.0.0 2011-04-11) and
Version: 5.3.2.2 (x64)
Build ID: 6cd4f1ef626f15116896b1d8e1398b56da0d0ee1
CPU Threads: 8; OS Version: Windows 6.1; UI Render: default; Layout Engine: new; 
Locale: en-US (en_US); Calc: group

OpenGL is black listed and disabled.  With "Use hardware acceleration" or uncheck for CPU only rendering there are no rendering issues with this AMD GPU and driver.

If OpenGL is "forced" LibreOffice does not open to screen. Glviewer reports OpenGL 4.1 level support for this driver/GPU combo.
Comment 15 p.menapace 2017-05-08 08:37:11 UTC
Same problem with Windows 10 and Intel G41 Express Chipset.
Comment 16 EricP 2017-05-12 12:22:24 UTC
I'm seeing this in LO 5.3.2.2 and 5.3.3.2 on Windows 7-32 bit with Intel GMA "Mobile Intel 4 Series" graphics. Unchecking boxes for "hardware acceleration", "anti-aliasing", or "OpenGL" has no affect.

I first suspected this was a problem with the Windows 7 Khmer language pack or with using the Khmer UI font from Windows 8 in Windows 7, but LO behaves the same with a user's whose UI is set to English, and changing system fonts to Calibri makes no difference either.

LO 5.2.7 works fine.

Setting the display adapter to "Standard VGA Graphics Adapter" works 99% better. (Strangely the "User Data" page was missing the text "Company, Name, Street", etc, but every other page looks OK). Of course, this isn't an acceptable fix for most since the Standard VGA driver only supports a few screen resolutions.

bug 107114, comment 9 offers a possible workaround for LO 5.3:
  Open Expert Configuration (Tools -> Options -> Advanced) and search for--then edit--the "TextLayoutEngine" stanza from "new" -> "old".

When TextLayoutEngine is set to "new" (the default), then I see no text. Changing the setting to "old", allows text to display when the UI language is set to English. When the Windows UI is set to Khmer, however, no text is displayed in LO. Not even English text.

Further information about the new text layout engine in LO 5.3 is here:
https://wiki.documentfoundation.org/ReleaseNotes/5.3#Text_Layout
Comment 17 V Stuart Foote 2017-05-17 01:01:20 UTC
*** Bug 107903 has been marked as a duplicate of this bug. ***
Comment 18 EricP 2017-05-18 05:13:40 UTC
Just confirmed on my system:
5.3.1.2 is OK
5.3.2 does not work
Comment 19 Buovjaga 2017-05-22 12:14:31 UTC
Rautamiekka in https://ask.libreoffice.org/en/question/90910/writer-displays-no-text/?answer=90998#post-id-90998 says it was profile corruption.

So to check, if Rautamiekka had the same problem, you guys can test by: Help - Restart in safe mode and then Continue in safe mode without doing anything else.
Comment 20 Marcel Berteler 2017-05-22 13:50:43 UTC
Tried safe-mode as well as starting with a fresh profile. Made no difference. Had to revert back to 5.2.7 to get it working again.
Comment 21 Aron Budea 2017-05-22 15:44:11 UTC
If anyone who's affected could verify whether the bug is caused by the same commit as bug 107942, that would be helpful. For this you need Cygwin, bibisect-win32-5.4 bibisect repo (a few GBs), and to follow the steps below:

- install Cygwin, including git,
- clone bibisect-win32-5.4 repo from [1],
- do a 'git log --all --grep="a51b7a1c3a7e7cf7b0c733e1dec40288278c1884" ' to find the commit corresponding to that source commit in the bibisect repo,
- do a 'git checkout <commit>' with the commit hash found previously, try to repro the issue, which should occur,
- do a 'git checkout HEAD~1' to go back a single commit, then try to repro the issue again, it should not occur this time.

For the unfamiliar, the bibisect repo contains binary builds for each source commit to make triaging regressions a lot easier (further details are at [2].

[1] https://wiki.documentfoundation.org/QA/Bibisect/Windows#bibisect-win32-5.4
[2] https://wiki.documentfoundation.org/QA/Bibisect
Comment 22 Griffin Barrett 2017-05-23 22:12:24 UTC
(In reply to Aron Budea from comment #21)
> If anyone who's affected could verify whether the bug is caused by the same
> commit as bug 107942, that would be helpful. For this you need Cygwin,
> bibisect-win32-5.4 bibisect repo (a few GBs), and to follow the steps below:
> 
> - install Cygwin, including git,
> - clone bibisect-win32-5.4 repo from [1],
> - do a 'git log --all --grep="a51b7a1c3a7e7cf7b0c733e1dec40288278c1884" ' to
> find the commit corresponding to that source commit in the bibisect repo,
> - do a 'git checkout <commit>' with the commit hash found previously, try to
> repro the issue, which should occur,
> - do a 'git checkout HEAD~1' to go back a single commit, then try to repro
> the issue again, it should not occur this time.
> 
> For the unfamiliar, the bibisect repo contains binary builds for each source
> commit to make triaging regressions a lot easier (further details are at [2].
> 
> [1]
> https://wiki.documentfoundation.org/QA/Bibisect/Windows#bibisect-win32-5.4
> [2] https://wiki.documentfoundation.org/QA/Bibisect

I have an old win7 laptop in my shop with this bug. I can't go through this process, but I would like to help fix this. Is there a way to get an installer for this without installing anything else?
Comment 23 Buovjaga 2017-05-24 04:06:56 UTC
(In reply to Griffin Barrett from comment #22)
> I have an old win7 laptop in my shop with this bug. I can't go through this
> process, but I would like to help fix this. Is there a way to get an
> installer for this without installing anything else?

Unfortunately we don't have a graphical interface for bibisecting. It would be cool, though, and has been talked about years ago.
Comment 24 M.S. 2017-05-24 14:59:12 UTC
I have the same problem (dash chars instead of gui items, and white instead of document text), updating from 5.2.7 to 5.3.x version.

HP Probook 5440s
Microsoft Windows 10 Professional (x64) Build 14393.1198 (RS1)
Intel(R) Core(TM) i5-2450M CPU @ 2.50GHz
Intel(R) HD Graphics 3000 (driver ver. 9.17.10.4459)
AMD Radeon HD 7650M (driver ver. 15.201.1301.0)
8GB ram

java version "1.8.0_101"
Java(TM) SE Runtime Environment (build 1.8.0_101-b13)
Java HotSpot(TM) 64-Bit Server VM (build 25.101-b13, mixed mode)

I tried to delete the user folder, and it didn't help.
Comment 25 M. 2017-05-26 07:27:09 UTC
Exactly the same issue as described by M.S., previous comment 24.

Text in menues first disappeared when updating to 5.3.2.
5.3.1 still worked fine, roll back to 5.3.1. made the menue texts to show again.
5.3.3. still has the same bug as 5.3.2.

HP Probook 4540s
Microsoft Windows 10 Professional (x64) Build 15063.296 (Latest)
Intel(R) Core(TM) i5-2450M CPU @ 2.50GHz
Intel(R) HD Graphics 3000 (driver ver. 9.17.10.4459)
AMD Radeon HD 7650M (driver ver. 15.201.1301.0)
4GB Ram

Java version "8.0.1310.11"
Java(TM) SE Runtime Environment Build 1.8.0_131-b11)
Comment 26 prrvchr 2017-05-31 17:25:17 UTC
Confirmed on my system: 5.3.1.2 is OK 5.3.3.2 does not work
Comment 27 EricP 2017-06-02 23:55:29 UTC
I wanted to try bibisecting so I borrowed a laptop identical to the one on which I'd first seen the problem, but LibreOffice 5.3.3.2 (x64) is OK here. I bought the two machines at the same time---Toshiba Satellite Pro T130 with 3GB RAM and an Intel GM45 GPU with the "Mobile Intel 4 Series Express Chipset" (WDDM 1.1) driver.

LibreOffice 5.3.3.2 works fine on the machine with Windows 10 64-bit,
but all text is invisible on the machine with Windows 7 32-bit.

Others in this thread have reported the problem on Windows 10 64-bit, so my experience is not definitive. Sorry, I don't have easy access to the Windows 7 machine.
Comment 28 Buovjaga 2017-06-03 05:18:27 UTC
(In reply to EricP from comment #27)
> I wanted to try bibisecting so I borrowed a laptop identical to the one on
> which I'd first seen the problem, but LibreOffice 5.3.3.2 (x64) is OK here.
> I bought the two machines at the same time---Toshiba Satellite Pro T130 with
> 3GB RAM and an Intel GM45 GPU with the "Mobile Intel 4 Series Express
> Chipset" (WDDM 1.1) driver.

So you checked the driver version is the same on both machines?
Comment 29 EricP 2017-06-04 23:25:17 UTC
(In reply to Buovjaga from comment #28)
> So you checked the driver version is the same on both machines?

I don't have access to the original Windows 7 machine, but I swapped hard drives and installed Windows 7 on the Win10 machine. Here are 4 results from the same hardware (Intel Mobile 4 Series Graphics).

OK -- Driver v.8.15.10.2702 on the Windows 10 x64 (WDDM 1.1 driver) 
OK -- Driver v.8.15.10.1749 on the same machine, but with Windows 7 x86 (driver included on Windows 7 SP1 ISO, possibly slipstreamed by 3rd party)
OK -- Driver v.8.15.10.2302 on Windows 7 x86 (driver supplied by Windows Update)
NOT OK -- Driver v.8.15.10.1883 on Windows 7 x86 (driver downloaded from http://support.toshiba.com/support/modelHome?freeText=1200014497&osId=29)

Both LibreOffice 5.3.4.1 and 5.4.0.0 display text as invisible too.

I started to bibisect, but downloaded the wrong repository and have run out of time for now (I need to give the problem machine back). Regression does not appear in latest version of bibisect-win32-5.3 and must be younger.
Comment 30 darioforacappa 2017-06-06 17:00:03 UTC
I have the same problem. Since 5.3.2. I installed 5.4 beta 1 but there is the same problem. With 5.3.1 work fine 
this is the opengl_device.log

DriverVersion: 8.15.10.2900
DriverDate: 11-26-2012
DeviceID: PCI\VEN_8086&DEV_0046&SUBSYS_144A103C&REV_02
AdapterVendorID: 0x8086
AdapterDeviceID: 0x0046
AdapterSubsysID: 0x144a103c
DeviceKey: System\CurrentControlSet\Control\Video\{29648CAB-E0FC-4AEB-9035-52540B87DA5A}\0000
DeviceString: Intel(R) HD Graphics

This is my system. Nome SO Microsoft Windows 10 Home Versione 10.0.14393 build 14393 Produttore SO Microsoft Corporation Nome sistema XXX
Produttore sistema Hewlett-Packard
Modello sistema HP Pavilion dv6 Notebook PC
Tipo sistema PC basato su x64 SKU sistema XR539EA#ABZ
Processore Intel(R) Core(TM) i5 CPU M 460 @ 2.53GHz, 2534 Mhz, 2 core, 4 processori logici
Versione/data BIOS Hewlett-Packard F.13, 14/09/2010
Versione SMBIOS 2.6
Versione controller integrato 101.46
Modalità BIOS Legacy
Produttore scheda di base Hewlett-Packard
Modello scheda di base Non disponibile
Nome scheda di base Scheda di base Ruolo piattaforma Mobile
Stato avvio protetto Non supportato
Configurazione PCR7 Impossibile effettuare l'associazione Directory Windows C:\WINDOWS Directory System C:\WINDOWS\system32
Periferica di avvio \Device\HarddiskVolume1 Locale Italia Hardware Abstraction Layer Versione = "10.0.14393.206"
Nome utente xxx\utente
Fuso orario ora legale Europa occidentale Memoria fisica installata (RAM) 8,00 GB Memoria fisica totale 7,80 GB
Memoria fisica disponibile 4,09 GB
Memoria virtuale totale 9,05 GB
Memoria virtuale disponibile 5,03 GB
Spazio file di paging 1,25 GB
File di paging C:\pagefile.sys
Hyper-V - Estensioni modalità di monitoraggio macchina virtuale Sì Hyper-V - Estensioni conversione indirizzi di secondo livello Sì
Hyper-V - Virtualizzazione abilitata nel firmware No Hyper-V - Protezione esecuzione dati Sì

Scheda video AMD Mobility Radeon HD 5000 Series. Versione 15.301.191.0 Intel(R) HD Graphics
Comment 31 darioforacappa 2017-06-09 11:34:52 UTC
I tried the version 5.4.0 beta2, same behavior
Comment 32 EricP 2017-06-09 13:38:43 UTC
I completed a bibisection:

source sha:a51b7a1c3a7e7cf7b0c733e1dec40288278c1884 (2017-03-07 18:23:53) 
is the first bad commit.
Comment 33 Aron Budea 2017-06-09 13:51:42 UTC
*** Bug 107942 has been marked as a duplicate of this bug. ***
Comment 34 V Stuart Foote 2017-06-09 15:02:14 UTC
@EricP, thank you for making the effort needed to bibisect this.

Per notes on https://gerrit.libreoffice.org/#/c/34848/ looks like simply reverting would cause return of issues in bug 100986 and bug 103831; and as well would touch https://gerrit.libreoffice.org/#/c/36990/ for bug 107205

@Khaled, @Michael S.?
Comment 35 Xisco Faulí 2017-06-12 20:42:05 UTC
*** Bug 108488 has been marked as a duplicate of this bug. ***
Comment 36 V Stuart Foote 2017-06-18 12:49:08 UTC
*** Bug 108615 has been marked as a duplicate of this bug. ***
Comment 37 Xisco Faulí 2017-06-25 15:06:03 UTC
*** Bug 108763 has been marked as a duplicate of this bug. ***
Comment 38 kontaktak 2017-06-26 08:35:13 UTC
Can confirm that

driver 8.15.10.2555 
Win 7 SP1 32Bits

works fine with LO >5.3.*
even with 5.3.4.2
Comment 39 Aron Budea 2017-06-28 16:31:22 UTC
*** Bug 108832 has been marked as a duplicate of this bug. ***
Comment 40 grofaty 2017-06-29 06:41:54 UTC
My bug 108832 was marked as duplicate of this bug. From description and print-screen it may be the same problem. In bug report I have recorded the video. My system Windows 7 SP1 using LibreOffice 5.3.4.2.

If this helps:
a) in my case I can see menus,
b) but some options display the same "-" character instead of text like Edit | Find & Replace (can be seen in video) or Tools | Options | LibreOffice | User Data | all labels are "-" instead of text
c) in some cases (there is not step-by-step reproducible) sometimes dialog buttons (like Close button) changes text to "-" (see in video).
d) in some cases "Sheet1" text (on bottom spreadsheet tab) disappears, just a white color tab without text.
e) I have ping-pong the versions and in 5.3.1.2 everything works fine and in 5.3.2.1 the problem appears (see detailed tests in my reported bug 108832), just like the same as in Comment 18 and Comment 26 of current bug.
f) I have unchecked all of the Tools | Options | LibreOffice | View | Graphic Output, closed down LibreOffice, make sure in Windows Task Manager (Show processes from all users) there is no soffice.bin, deleted profile, and the same problem. It looks this is not hardware acceleration problem.

Hope this helps.
Comment 41 V Stuart Foote 2017-06-29 06:52:26 UTC
(In reply to grofaty from comment #40)
>...
> Hope this helps.

Thanks, but please post the GPU and driver version details. And let us know if you find a GPU driver (as in comment 29) that does work correctly for your hardware.
Comment 42 grofaty 2017-06-29 06:56:35 UTC
I have just now posted the GPU info in my original bug. Here is direct link to print screen: https://bug-attachments.documentfoundation.org/attachment.cgi?id=134372

I am using VirtualBox, so in my case it is not related to "real" graphic driver, because it is virtual driver.
Comment 43 V Stuart Foote 2017-06-29 07:13:33 UTC
(In reply to grofaty from comment #42)
> ...
> I am using VirtualBox, so in my case it is not related to "real" graphic
> driver, because it is virtual driver.

None the less a helpful datapoint, and still a Windows' GDI rendering issue. And it means it is more likely a dev can actually reproduce and trace the DirectWrite/GDI rendering issue that is corrupting the GUI and document canvas.
Comment 44 grofaty 2017-06-29 08:38:12 UTC
Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller

Details: https://bugs.documentfoundation.org/show_bug.cgi?id=108832#c9
Comment 45 Philippe_E 2017-07-09 08:35:22 UTC
Created attachment 134556 [details]
What I get when I install LO 5.3.4.2
Comment 46 Philippe_E 2017-07-09 08:38:39 UTC
Comment on attachment 134556 [details]
What I get when I install LO 5.3.4.2

275/5000
Hello,
I have the same graphical problem when installing LO 5.3.4.2. Unable to display menu text! While version 5.2.7.2 works very well !!
Is there a solution?
Philippe
PS: I use Windows 7 family SP1 in 64bits IntelCorei7 processor
Comment 47 V Stuart Foote 2017-07-09 12:17:53 UTC
(In reply to Philippe_E from comment #46)
> Comment on attachment 134556 [details]
> What I get when I install LO 5.3.4.2
> 
> 275/5000
> Hello,
> I have the same graphical problem when installing LO 5.3.4.2. Unable to
> display menu text! While version 5.2.7.2 works very well !!
> Is there a solution?
> Philippe
> PS: I use Windows 7 family SP1 in 64bits IntelCorei7 processor
No solution yet.

Notice of correction will be linked to this BZ issue. What devs need are details of the grpahics GPU(s) and driver(s) that are affected as the cause and any correction is difficult to reproduce.

For now please post details from a run of msinfo32.exe, as here with a system that correctly renders the UI.

from Summary:
OS Name	Microsoft Windows 10 Home
Version	10.0.15063 Build 15063
Other OS Description 	Not Available
OS Manufacturer	Microsoft Corporation
System Name	VSF_LENOVO
System Manufacturer	LENOVO
System Model	80VE
System Type	x64-based PC
System SKU	LENOVO_MT_80VE_BU_idea_FM_Lenovo ideapad FLEX 4-1580
Processor	Intel(R) Core(TM) i7-7500U CPU @ 2.70GHz, 2901 Mhz, 2 Core(s), 4 Logical Processor(s)
BIOS Version/Date	LENOVO 2SCN25WW(V2.05), 6/14/2017
SMBIOS Version	3.0
Embedded Controller Version	2.25
BIOS Mode	UEFI
BaseBoard Manufacturer	LENOVO

and from Components -> Display:
Name	Intel(R) HD Graphics 620
PNP Device ID	PCI\VEN_8086&DEV_5916&SUBSYS_39FD17AA&REV_02\3&11583659&1&10
Adapter Type	Intel(R) HD Graphics Family, Intel Corporation compatible
Adapter Description	Intel(R) HD Graphics 620
Adapter RAM	1.00 GB (1,073,741,824 bytes)
Installed Drivers	igdumdim64,igd10iumd64,igd10iumd64,igd12umd64,igdumdim32,igd10iumd32,igd10iumd32,igd12umd32
Driver Version	21.20.16.4550
INF File	oem2.inf (iKBLD_w10_DS section)
Color Planes	Not Available
Color Table Entries	4294967296
Resolution	1920 x 1080 x 60 hertz
Bits/Pixel	32


p.s. -- please do not adjust the version field, the earliest detected is at the 5.3.2.1 build as bibisected in comment 32.
Comment 48 Philippe_E 2017-07-09 18:00:02 UTC
(In reply to V Stuart Foote from comment #47)
> (In reply to Philippe_E from comment #46)
> > Comment on attachment 134556 [details]
> > What I get when I install LO 5.3.4.2
> > 
> > 275/5000
> > Hello,
> > I have the same graphical problem when installing LO 5.3.4.2. Unable to
> > display menu text! While version 5.2.7.2 works very well !!
> > Is there a solution?
> > Philippe
> > PS: I use Windows 7 family SP1 in 64bits IntelCorei7 processor
> No solution yet.
> 
> Notice of correction will be linked to this BZ issue. What devs need are
> details of the grpahics GPU(s) and driver(s) that are affected as the cause
> and any correction is difficult to reproduce.
> 
> For now please post details from a run of msinfo32.exe, as here with a
> system that correctly renders the UI.
> 
> from Summary:
> OS Name	Microsoft Windows 10 Home
> Version	10.0.15063 Build 15063
> Other OS Description 	Not Available
> OS Manufacturer	Microsoft Corporation
> System Name	VSF_LENOVO
> System Manufacturer	LENOVO
> System Model	80VE
> System Type	x64-based PC
> System SKU	LENOVO_MT_80VE_BU_idea_FM_Lenovo ideapad FLEX 4-1580
> Processor	Intel(R) Core(TM) i7-7500U CPU @ 2.70GHz, 2901 Mhz, 2 Core(s), 4
> Logical Processor(s)
> BIOS Version/Date	LENOVO 2SCN25WW(V2.05), 6/14/2017
> SMBIOS Version	3.0
> Embedded Controller Version	2.25
> BIOS Mode	UEFI
> BaseBoard Manufacturer	LENOVO
> 
> and from Components -> Display:
> Name	Intel(R) HD Graphics 620
> PNP Device ID	PCI\VEN_8086&DEV_5916&SUBSYS_39FD17AA&REV_02\3&11583659&1&10
> Adapter Type	Intel(R) HD Graphics Family, Intel Corporation compatible
> Adapter Description	Intel(R) HD Graphics 620
> Adapter RAM	1.00 GB (1,073,741,824 bytes)
> Installed Drivers
> igdumdim64,igd10iumd64,igd10iumd64,igd12umd64,igdumdim32,igd10iumd32,
> igd10iumd32,igd12umd32
> Driver Version	21.20.16.4550
> INF File	oem2.inf (iKBLD_w10_DS section)
> Color Planes	Not Available
> Color Table Entries	4294967296
> Resolution	1920 x 1080 x 60 hertz
> Bits/Pixel	32
> 
> 
> p.s. -- please do not adjust the version field, the earliest detected is at
> the 5.3.2.1 build as bibisected in comment 32.

Hello,
Thank you for your message. 
I understand that there is no solution for now, so I will stay with version 5.2.7.2.
Here is the information that I hope will help you:
From Summary :
Système d’exploitation	Microsoft Windows 7 Édition Familiale Premium
Version	6.1.7601 Service Pack 1 Build 7601
Informations supplémentaires 	Non disponible
Éditeur	Microsoft Corporation
Ordinateur	ADMIN-PC
Fabricant	Hewlett-Packard
Modèle	HP Pavilion dv6 Notebook PC
Type	PC à base de x64
Processeur	Intel(R) Core(TM) i7-2670QM CPU @ 2.20GHz, 2201 MHz, 4 cœur(s), 8 processeur(s) logique(s)
Version du BIOS/Date	Hewlett-Packard F.1B, 05/10/2011
Version SMBIOS	2.7
Répertoire Windows	C:\Windows
Répertoire système	C:\Windows\system32
Périphérique de démarrage	\Device\HarddiskVolume1
Option régionale	France
Couche d’abstraction matérielle	Version = "6.1.7601.17514"
Utilisateur	admin-PC\admin
Fuseaux horaires	Paris, Madrid (heure d’été)
Mémoire physique (RAM) installée	8,00 Go
Mémoire physique totale	7,95 Go
Mémoire physique disponible	3,64 Go
Mémoire virtuelle totale	15,9 Go
Mémoire virtuelle disponible	11,3 Go
Espace pour le fichier d’échange	7,95 Go
Fichier d’échange	C:\pagefile.sys

From Components _> Display :
There are 2 drivers but I think that only the first is active.
Nom	Intel(R) HD Graphics Family
ID de périphérique Plug-and-Play	PCI\VEN_8086&DEV_0116&SUBSYS_3388103C&REV_09\3&11583659&0&10
Type de carte	Intel(R) HD Graphics Family, compatible Advanced Micro Devices, Inc.
Description de la carte	Intel(R) HD Graphics Family
Mémoire vive sur la carte	(262 217 728) octets
Pilotes installés	igdumd64.dll,igd10umd64.dll,igd10umd64.dll,igdumdx32,igd10umd32,igd10umd32
Version du pilote	8.882.2.3000
Fichier INF	oem13.inf (section iSNBM1ML_PROXY)
Plans de couleurs	Non disponible
Entrées de table des couleurs	4294967296
Résolution	1366 x 768 x 60 hertz
Bits/pixel	32
Adresse mémoire	0xC0000000-0xC03FFFFF
Adresse mémoire	0xB0000000-0xBFFFFFFF
Port d’E/S	0x00006000-0x0000603F
Canal IRQ	IRQ 16
Port d’E/S	0x000003B0-0x000003BB
Port d’E/S	0x000003C0-0x000003DF
Adresse mémoire	0xA0000-0xBFFFF
Pilote	c:\windows\system32\drivers\atikmpag.sys (8.14.1.6226, 303,00 Ko (310 272 octets), 01/10/2011 10:28)
	
Nom	Radeon (TM) HD 6770M
ID de périphérique Plug-and-Play	PCI\VEN_1002&DEV_6740&SUBSYS_3388103C&REV_00\4&EC6F72D&0&0008
Type de carte	ATI display adapter (0x6740), compatible Advanced Micro Devices, Inc.
Description de la carte	Radeon (TM) HD 6770M
Mémoire vive sur la carte	(2 147 483 648) octets
Pilotes installés	aticfx64.dll,aticfx64.dll,aticfx64.dll,aticfx32,aticfx32,aticfx32,atiumd64.dll,atidxx64.dll,atidxx64.dll,atiumdag,atidxx32,atidxx32,atiumdva,atiumd6a.cap,atitmm64.dll
Version du pilote	8.882.2.3000
Fichier INF	oem13.inf (section ati2mtag_Vancouver_PRAI)
Plans de couleurs	Non disponible
Entrées de table des couleurs	Non disponible
Résolution	Non disponible
Bits/pixel	Non disponible
Adresse mémoire	0xA0000000-0xAFFFFFFF
Adresse mémoire	0xC74E0000-0xC74FFFFF
Port d’E/S	0x00005F00-0x00005FFF
Canal IRQ	IRQ 4294967283
Pilote	c:\windows\system32\drivers\atikmpag.sys (8.14.1.6226, 303,00 Ko (310 272 octets), 01/10/2011 10:28)
Comment 49 Aron Budea 2017-07-10 16:39:01 UTC
*** Bug 109051 has been marked as a duplicate of this bug. ***
Comment 50 V Stuart Foote 2017-07-11 02:08:38 UTC
*** Bug 109057 has been marked as a duplicate of this bug. ***
Comment 51 Kevin Salisbury 2017-07-11 18:14:47 UTC
Created attachment 134595 [details]
Missing Dialog Box Text
Comment 52 Kevin Salisbury 2017-07-11 18:16:12 UTC
Created attachment 134596 [details]
Missing Dialog Box Text
Comment 53 Kevin Salisbury 2017-07-11 18:16:44 UTC
Created attachment 134597 [details]
Missing Dialog Box Text
Comment 54 Kevin Salisbury 2017-07-11 18:29:42 UTC
Since upgrade to 5.3.3+ we are seeing multiple text display issues across dozens of Windows 7 Pro and Windows Server 2008 R2 systems. While LO menu text seems fine for us, dialog box/window text is frequently hidden (see capture attachments). This regression occurs on both Windows Server 2008 R2 Fully patched and Windows 7 Pro fully patched (x64, typically Xen virtual machines). Actual tested LO Version states:

5.2.x -> Unaffected
5.3.3.2 -> Regression (See Capture 1/2/3.png attachments)
5.3.4.2 -> Regression
5.4beta2 -> Regression
(Note: All are 64 bit Windows versions of LibreOffice. All windows systems are accessed over RDP)

(Another issue that we believe related, we are also seeing some strange display behavior in calc concerning display of deleted cells as documented here;
https://ask.libreoffice.org/en/question/98381/solved-5332-calc-delete-cell-also-deletes-another-cell-in-same-row/?sort=latest
This issue disappears completely if we revert back to 5.2).

Details of a sample system that demonstrates the issue: 
->From Summary
OS Name	Microsoft Windows Server 2008 R2 Standard	
Version	6.1.7601 Service Pack 1 Build 7601	
OS Manufacturer	Microsoft Corporation	
System Manufacturer	Xen	
System Model	HVM domU	
System Type	x64-based PC	
Processor	Intel(R) Xeon(R) CPU           E5450  @ 3.00GHz, 2992 Mhz, 2 Core(s), 2 Logical Processor(s)	
BIOS Version/Date	Xen 4.4.4_02-32.1, 3/8/2016	
SMBIOS Version	2.4	
Windows Directory	C:\Windows	
System Directory	C:\Windows\system32	
Boot Device	\Device\HarddiskVolume1	
Locale	United States	
Hardware Abstraction Layer	Version = "6.1.7601.17514"	
User Name	Not Available	
Time Zone	Eastern Daylight Time	
Installed Physical Memory (RAM)	10.0 GB	
Total Physical Memory	10.0 GB	
Available Physical Memory	6.71 GB	
Total Virtual Memory	20.0 GB	
Available Virtual Memory	17.1 GB	
Page File Space	10.0 GB	
Page File	C:\pagefile.sys	

->From 
[Display]

Item	Value	
Name	Standard VGA Graphics Adapter	
PNP Device ID	PCI\VEN_1013&DEV_00B8&SUBSYS_00015853&REV_00\3&267A616A&0&10	
Adapter Type	Not Available, (Standard display types) compatible	
Adapter Description	Standard VGA Graphics Adapter	
Adapter RAM	Not Available	
Installed Drivers	Not Available	
Driver Version	6.1.7600.16385	
INF File	display.inf (vga section)	
Color Planes	Not Available	
Color Table Entries	Not Available	
Resolution	Not Available	
Bits/Pixel	Not Available	
Memory Address	0xF0000000-0xF1FFFFFF	
Memory Address	0xF3000000-0xF3000FFF	
I/O Port	0x000003B0-0x000003BB	
I/O Port	0x000003C0-0x000003DF	
Memory Address	0xA0000-0xBFFFF	
Driver	c:\windows\system32\drivers\vgapnp.sys (6.1.7600.16385, 28.50 KB (29,184 bytes), 7/13/2009 7:38 PM)	
		
Name	Mirage Driver	
PNP Device ID	ROOT\DISPLAY\0000	
Adapter Type	Not Available, DemoForge compatible	
Adapter Description	Mirage Driver	
Adapter RAM	Not Available	
Installed Drivers	Not Available	
Driver Version	2.0.105.0	
INF File	oem8.inf (DFMirage section)	
Color Planes	Not Available	
Color Table Entries	Not Available	
Resolution	Not Available	
Bits/Pixel	Not Available	
Driver	c:\windows\system32\drivers\dfmirage.sys (2.0.105.0, 35.58 KB (36,432 bytes), 9/4/2015 11:51 PM)
Comment 55 V Stuart Foote 2017-07-11 18:47:13 UTC
(In reply to Kevin Salisbury from comment #54)
> Since upgrade to 5.3.3+ we are seeing multiple text display issues across
> dozens of Windows 7 Pro and Windows Server 2008 R2 systems. While LO menu
> text seems fine for us, dialog box/window text is frequently hidden (see
> capture attachments). This regression occurs on both Windows Server 2008 R2
> Fully patched and Windows 7 Pro fully patched (x64, typically Xen virtual
> machines). Actual tested LO Version states:
> 

Aron B. had reported the Microsoft RDP flavor of this issue as bug 107942, but decided to merge it with the general case here.
Comment 56 Tomaz Vajngerl 2017-07-13 11:40:04 UTC
Fixed with https://gerrit.libreoffice.org/39901
(at least the RDP problem)
Comment 57 Commit Notification 2017-07-13 20:32:56 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0686abc10aa729c8768b06249dbf7e57f4e56ae5

tdf#107166 BindDC doesn't handle 0 width/height rect consistently

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 58 Sudharsan M 2017-07-14 06:10:35 UTC
Hi,

Hope all are doing good!

Finally i found a solution for this bug its very very simple without any logic. Kindly change a windows theme from Windows Aero to Windows Basic or Windows Classic. Boom the problem was solved all menu text will visible back.
Comment 59 Timur 2017-07-14 06:51:31 UTC
I kindly ask reporter and affected users from all duplicates to test this fix by installing brand-new master 6.0+ in addition to regular LO: http://dev-builds.libreoffice.org/daily/master/Win-x86@42/current/
Please report here. 
According to the previous comment, I amend the title with Windows theme.
Comment 60 grofaty 2017-07-14 07:22:50 UTC
Hi,
I am the one from duplicate bug 10883 and I have tested LibreOffice Calc from master and my problem at least is completely solved!

The problems I have had (before this fix) is recorded as a video attachment, direct link: https://bugs.documentfoundation.org/attachment.cgi?id=134342 (problems in this video are now fixed in master for my case).

Can I kindly request to implement the fix in 5.3 series?
Thanks

==== Tested on LibreOffice Calc master on Windows 7: ============
Version: 6.0.0.0.alpha0+
Build ID: a2e670df4efb219a1f92946d7a2887bdd0f88f5d
CPU threads: 3; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-07-13_23:50:53
Locale: sl-SI (sl_SI); Calc: group
=================================================================
Comment 61 grofaty 2017-07-14 07:24:03 UTC
Sorry, typo, my duplicate bug is bug 108832.
Comment 62 Aron Budea 2017-07-14 12:15:30 UTC
To be clear, the commit in comment 57 is supposed to fix the bug, the workaround by Sudharsan M (comment 58) is an interesting piece of information, but not needed.

As Timur wrote, affected users, please test with fresh daily builds. Grofaty, thanks for the feedback, yes, the fix should be available in 5.4 and 5.3 soon.
Comment 63 grofaty 2017-07-14 12:33:42 UTC
@Aron Budea,
that is correct. In comment 60 I did tests with the same Windows theme in  LO 5.3.4.2 (problem exists) and LO master (problem solved). So no change of Windows theme.

Just for test I have now tested comment 58 so LO 5.3.4.2 with "Windows 7 Basic" or "Windows Classic" theme and the problem is exactly the same as in my reported bug 108832 In my case changing Windows theme to "Windows 7 Basic" or "Windows Classic" theme does NOT fixes the problem in LO 5.3.4.2.
Comment 64 Landis Arnold 2017-07-14 18:17:04 UTC
I don't think that is a "proper" solution.  Interesting that it works but many people are very settled in the windows theme they may have.  Changing it so they can have LibreOffice Menu, for me, would not be my approach.

Using a slightly earlier version of LibreOffice did work.

I do have fully updated AMD drivers  (HP ZBook)...  And yes, we need LibreOffice Menus too.
Comment 65 V Stuart Foote 2017-07-14 18:25:22 UTC
(In reply to Landis Arnold from comment #64)
> I don't think that is a "proper" solution.  Interesting that it works but
> many people are very settled in the windows theme they may have.  Changing
> it so they can have LibreOffice Menu, for me, would not be my approach.
> 
> Using a slightly earlier version of LibreOffice did work.
> 
> I do have fully updated AMD drivers  (HP ZBook)...  And yes, we need
> LibreOffice Menus too.

Disabling Aero theme is not the fix here, please test with current master...
Comment 66 Kevin Salisbury 2017-07-14 20:23:53 UTC
Created attachment 134645 [details]
Capture 1 from LibreOffice Master Dev 6 alpha (libo-master64~2017-07-14_02.04.48_LibreOfficeDev_6.0.0.0.alpha0_Win_x64)
Comment 67 Kevin Salisbury 2017-07-14 20:32:16 UTC
Installed master version libo-master64~2017-07-14_02.04.48_LibreOfficeDev_6.0.0.0.alpha0_Win_x64 into the same system identified in my comment54 and now menu is not showing at all. Dialog boxes are not showing at all. No text is showing anywhere at all under RDP. See attachment in "Capture 1 from LibreOffice Master Dev 6 alpha...". Perhaps this master did not receive the commit from Tomaž in comment57 yet? I can try again after a new master is built...
Comment 68 V Stuart Foote 2017-07-14 20:43:46 UTC
(In reply to Kevin Salisbury from comment #67)
> Installed master version
> libo-master64~2017-07-14_02.04.48_LibreOfficeDev_6.0.0.0.alpha0_Win_x64 into
> the same system identified in my comment54 and now menu is not showing at
> all. Dialog boxes are not showing at all. No text is showing anywhere at all
> under RDP. See attachment in "Capture 1 from LibreOffice Master Dev 6
> alpha...". Perhaps this master did not receive the commit from Tomaž in
> comment57 yet? I can try again after a new master is built...

Do you have OpenGL enabled? If so, that is still open issue of bug 107764 --and disabling OpenGL should have you functional.
Comment 69 V Stuart Foote 2017-07-14 21:11:48 UTC
(In reply to Kevin Salisbury from comment #67)
>... Perhaps this master did not receive the commit from Tomaž in
> comment57 yet?

No, the patch is included with the TB42 2017-07-14 02:04:48 build...

Each build is assigned a SHA1 hash value as a label taken from the head of the git pull used for the build. You'll see the commit for the patch as the third on the cgit listing, so it is included.

https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=b9bda1d7916c5474aab89116757fcb7e799458b2
Comment 70 Kevin Salisbury 2017-07-14 23:00:11 UTC
Comment68 - OpenGl being enabled was the issue. My apologies, I was in a rush to test and I neglected this. 6.0 alpha is fine. Thank you for the patch!
Comment 71 Aron Budea 2017-07-14 23:52:04 UTC
I can also repro the fresh issue that now actually all the text is missing, in a remote desktop connection. Reverting the following commit fixes this regression.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=a5a3e82e99e7a60ec65c339dd0463af5c680cead
author		Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>	2017-07-03 13:00:21 (GMT)
committer	Michael Meeks <michael.meeks@collabora.com>	2017-07-06 11:13:55 (GMT)
"tdf#106990 set cleartype setting / force to use GDI render mode"
Comment 72 EricP 2017-07-16 11:04:19 UTC
The build linked below did NOT fix the problem for me (Win7x86, Intel Gfx). 
Selecting Windows 7 Basic or Windows Classic theme did make the problem disappear. Disabling OpenGL had no effect.
 
http://dev-builds.libreoffice.org/daily/master/Win-x86@42/current/libo-master~2017-07-16_02.04.02_LibreOfficeDev_6.0.0.0.alpha0_Win_x86.msi

This is the same system I’ve talked about previously, but here’s msinfo32.exe
System Summary:
OS Name	Microsoft Windows 7 Professional
Version	6.1.7601 Service Pack 1 Build 7601
System Manufacturer	TOSHIBA
System Model	Satellite Pro T130
System Type	X86-based PC
Processor	Genuine Intel(R) CPU           U7300  @ 1.30GHz, 1300 Mhz, 2 Core(s), 2 Logical Processor(s)
BIOS Version/Date	TOSHIBA V1.90, 11/6/2009
SMBIOS Version	2.5
Hardware Abstraction Layer	Version = "6.1.7601.17514"

Components -> Display:
Name	Mobile Intel(R) 4 Series Express Chipset Family
PNP Device ID	PCI\VEN_8086&DEV_2A43&SUBSYS_FFE01179&REV_07\3&11583659&0&11
Adapter Type	Not Available, Intel Corporation compatible
Adapter Description	Mobile Intel(R) 4 Series Express Chipset Family
Adapter RAM	Not Available
Installed Drivers	igdumdx32.dll,igd10umd32.dll,igd10umd32.dll
Driver Version	8.15.10.1883
INF File	oem3.inf (iCNT1 section)
Color Planes	Not Available
Color Table Entries	Not Available
Resolution	Not Available
Bits/Pixel	Not Available
Memory Address	0xF0400000-0xF04FFFFF
Driver	c:\windows\system32\drivers\igdkmd32.sys (8.15.10.1883, 5.67 MB (5,946,368 bytes), 8/27/2009 8:00 AM)
Comment 73 V Stuart Foote 2017-07-16 12:56:39 UTC
@Tomaž, *

Given the hint of disabling Windows 7 Aero theme, for rendering text to a GDI DC, would a D2D1_ALPHA_MODE_IGNORE do any better than using the D2D1_ALPHA_MODE_PREMULTIPLIED 

But would that be isolated to font handling, or would it cause other issues in VCL/SVX in GUI and on canvas?

=-ref-=
http://opengrok.libreoffice.org/xref/core/vcl/win/gdi/winlayout.cxx#372

https://msdn.microsoft.com/en-us/library/windows/desktop/dd370971(v=vs.85).aspx
https://msdn.microsoft.com/en-us/library/windows/desktop/dd368058(v=vs.85).aspx
Comment 74 Commit Notification 2017-07-16 15:26:11 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=35f8c78b5fbdbb3619b1c0f9fdee5f84ac1a6f73&h=libreoffice-5-4

tdf#107166 BindDC doesn't handle 0 width/height rect consistently

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 75 Xisco Faulí 2017-07-17 21:29:27 UTC
*** Bug 109181 has been marked as a duplicate of this bug. ***
Comment 76 Xisco Faulí 2017-07-19 17:01:43 UTC
*** Bug 109221 has been marked as a duplicate of this bug. ***
Comment 77 Xisco Faulí 2017-07-19 17:03:18 UTC
As displayed in bug 107166, the issue is still reproducible in libo-master~2017-07-17_23.50.28_LibreOfficeDev_6.0.0.0.alpha0_Win_x86 -> See attachment 134740 [details]
Comment 78 Philippe_E 2017-07-19 17:34:52 UTC
(In reply to Timur from comment #59)
> I kindly ask reporter and affected users from all duplicates to test this
> fix by installing brand-new master 6.0+ in addition to regular LO:
> http://dev-builds.libreoffice.org/daily/master/Win-x86@42/current/
> Please report here. 
> According to the previous comment, I amend the title with Windows theme.

Hello,
I tested with libo-master~2017-07-19_02.49.52_LibreOfficeDev_6.0.0.0.alpha0_Win_x86. As with the LibreOffice_5.3.4_Win_x64 version, the menus are still invisible with Windows Aero.
If I switch to Windows Basic or Windows Classic: menus become visible whether it is with version 5.3.4.2 or 6.0.0.0!
Would the problem be specific to Aero themes?
Philippe
Comment 79 grofaty 2017-07-20 05:03:26 UTC
Just a quick note. It looks fix from master in comment 57 is only solution from my problem in comment 60 from duplicate bug 108832. For me changing aero theme to basic does not fix the problem, but fix from master does. Also my problem is not exactly the same as others in this bug report have. It well may be that my bug was wrongly marked as duplicate of this bug and there are actually multiple similar in behaving problems related to menus/dialog non-appearance.
Comment 80 Commit Notification 2017-07-20 16:27:24 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3fdc41af6370a53f7db4e52104cfd3328ee40563

tdf#107166 improve AA mode selection, retry, more checks

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 81 Aron Budea 2017-07-20 22:44:59 UTC
My issue from comment 71 is gone after this commit.
Please test again with a daily build containing it (the ones from tonight will include the commit).
Comment 82 Commit Notification 2017-07-21 10:45:08 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e197b4a88c421201e157552f94e7eaaa00a76269&h=libreoffice-5-4

tdf#107166 improve AA mode selection, retry, more checks

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 83 Commit Notification 2017-07-21 12:21:02 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8b804eb3aec9e3fe957ecdb077649742cd2d978c&h=libreoffice-5-4-0

tdf#107166 BindDC doesn't handle 0 width/height rect consistently

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 84 Commit Notification 2017-07-21 12:23:32 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9277c1dfa9ce0daa5eb1b924bbf633aae6c72abc&h=libreoffice-5-4-0

tdf#107166 improve AA mode selection, retry, more checks

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 85 Christoffer 2017-07-21 14:15:49 UTC
Created attachment 134766 [details]
No text visible on 5.4.0.2 RC2

I tried out the RC2 of 5.4 and this bug appeared. I guess it isn't fixed?
Comment 86 Buovjaga 2017-07-21 14:22:54 UTC
(In reply to Christoffer from comment #85)
> Created attachment 134766 [details]
> No text visible on 5.4.0.2 RC2
> 
> I tried out the RC2 of 5.4 and this bug appeared. I guess it isn't fixed?

The commit went in just a few hours ago, it cannot be in 5.4 RC2. Test with a master build for now: http://dev-builds.libreoffice.org/daily/master/Win-x86_64@42/current/
Comment 87 Philippe_E 2017-07-21 20:03:55 UTC
(In reply to Buovjaga from comment #86)
> (In reply to Christoffer from comment #85)
> > Created attachment 134766 [details]
> > No text visible on 5.4.0.2 RC2
> > 
> > I tried out the RC2 of 5.4 and this bug appeared. I guess it isn't fixed?
> 
> The commit went in just a few hours ago, it cannot be in 5.4 RC2. Test with
> a master build for now:
> http://dev-builds.libreoffice.org/daily/master/Win-x86_64@42/current/

Hello,
I just tested libo-master64~2017-07-21_04.09.11_LibreOfficeDev_6.0.0.0.alpha0_Win_x64 and no text is visible... Does this version contain the correction?
Good evening,
Philippe
Comment 88 V Stuart Foote 2017-07-21 21:26:43 UTC
(In reply to Philippe_E from comment #87)
> I just tested
> libo-master64~2017-07-21_04.09.11_LibreOfficeDev_6.0.0.0.alpha0_Win_x64 and
> no text is visible... Does this version contain the correction?

Yes it does. So, need to verify some details about your system.

Does turning off the Direct3D Aero themes still clear this up for you? 

You are on Windows 7 SP1 right?  

Do you have the SP1 Platform Update installed?

KB2670838 -- https://support.microsoft.com/en-us/help/2670838/platform-update-for-windows-7-sp1-and-windows-server-2008-r2-sp1

What GPU and driver are you using?  Run msinfo32.exe and copy text from the Summary and the Components/Display panels.

Might also post result of dxdiag.exe, a screen clip of both the system and display panel(s).
Comment 89 Christoffer 2017-07-22 05:22:12 UTC
(In reply to Buovjaga from comment #86)
> (In reply to Christoffer from comment #85)
> > Created attachment 134766 [details]
> > No text visible on 5.4.0.2 RC2
> > 
> > I tried out the RC2 of 5.4 and this bug appeared. I guess it isn't fixed?
> 
> The commit went in just a few hours ago, it cannot be in 5.4 RC2. Test with
> a master build for now:
> http://dev-builds.libreoffice.org/daily/master/Win-x86_64@42/current/

Thank you. The issue has been solved for me in
libo-master64~2017-07-21_04.09.11_LibreOfficeDev_6.0.0.0.alpha0_Win_x64
Comment 90 Buovjaga 2017-07-22 07:40:35 UTC
Philippe: see comment 88
Comment 91 Philippe_E 2017-07-22 08:42:44 UTC
Created attachment 134777 [details]
dxdiag-systeme
Comment 92 Philippe_E 2017-07-22 08:44:52 UTC
Created attachment 134778 [details]
dxdiag-display
Comment 93 Philippe_E 2017-07-22 08:46:42 UTC
(In reply to V Stuart Foote from comment #88)
> (In reply to Philippe_E from comment #87)
> > I just tested
> > libo-master64~2017-07-21_04.09.11_LibreOfficeDev_6.0.0.0.alpha0_Win_x64 and
> > no text is visible... Does this version contain the correction?
> 
> Yes it does. So, need to verify some details about your system.
> 
> Does turning off the Direct3D Aero themes still clear this up for you? 
> 
> You are on Windows 7 SP1 right?  
> 
> Do you have the SP1 Platform Update installed?
> 
> KB2670838 --
> https://support.microsoft.com/en-us/help/2670838/platform-update-for-windows-
> 7-sp1-and-windows-server-2008-r2-sp1
> 
> What GPU and driver are you using?  Run msinfo32.exe and copy text from the
> Summary and the Components/Display panels.
> 
> Might also post result of dxdiag.exe, a screen clip of both the system and
> display panel(s).

Hello,

Here is the general msinfo and display information.
Yes I have Windows 7 SP1. But I do not know if I have the "SP1 Platform Update installed"? What is it about ?

I have attached the screenshots to "dxdiag" as attachments.

If I change the customization of the screen for a basic theme (Windows Basic or Windows Classic): LO texts are visible. If I change for Windows Aero: the texts are no longer visible. It's instantaneous.

Is this information sufficient for you?
Have a good day,
Philippe
Comment 94 Philippe_E 2017-07-22 08:48:02 UTC
(In reply to Philippe_E from comment #93)
> (In reply to V Stuart Foote from comment #88)
> > (In reply to Philippe_E from comment #87)
> > > I just tested
> > > libo-master64~2017-07-21_04.09.11_LibreOfficeDev_6.0.0.0.alpha0_Win_x64 and
> > > no text is visible... Does this version contain the correction?
> > 
> > Yes it does. So, need to verify some details about your system.
> > 
> > Does turning off the Direct3D Aero themes still clear this up for you? 
> > 
> > You are on Windows 7 SP1 right?  
> > 
> > Do you have the SP1 Platform Update installed?
> > 
> > KB2670838 --
> > https://support.microsoft.com/en-us/help/2670838/platform-update-for-windows-
> > 7-sp1-and-windows-server-2008-r2-sp1
> > 
> > What GPU and driver are you using?  Run msinfo32.exe and copy text from the
> > Summary and the Components/Display panels.
> > 
> > Might also post result of dxdiag.exe, a screen clip of both the system and
> > display panel(s).
> 
> Hello,
> 
> Here is the general msinfo and display information.
> Yes I have Windows 7 SP1. But I do not know if I have the "SP1 Platform
> Update installed"? What is it about ?
> 
> I have attached the screenshots to "dxdiag" as attachments.
> 
> If I change the customization of the screen for a basic theme (Windows Basic
> or Windows Classic): LO texts are visible. If I change for Windows Aero: the
> texts are no longer visible. It's instantaneous.
> 
> Is this information sufficient for you?
> Have a good day,
> Philippe

-------------------------------------
Résumé système
-------------------------------------
Système d’exploitation	Microsoft Windows 7 Édition Familiale Premium
Version	6.1.7601 Service Pack 1 Build 7601
Informations supplémentaires 	Non disponible
Éditeur	Microsoft Corporation
Ordinateur	ADMIN-PC
Fabricant	Hewlett-Packard
Modèle	HP Pavilion dv6 Notebook PC
Type	PC à base de x64
Processeur	Intel(R) Core(TM) i7-2670QM CPU @ 2.20GHz, 2201 MHz, 4 cœur(s), 8 processeur(s) logique(s)
Version du BIOS/Date	Hewlett-Packard F.1B, 05/10/2011
Version SMBIOS	2.7
Répertoire Windows	C:\Windows
Répertoire système	C:\Windows\system32
Périphérique de démarrage	\Device\HarddiskVolume1
Option régionale	France
Couche d’abstraction matérielle	Version = "6.1.7601.17514"
Utilisateur	admin-PC\admin
Fuseaux horaires	Paris, Madrid (heure d’été)
Mémoire physique (RAM) installée	8,00 Go
Mémoire physique totale	7,95 Go
Mémoire physique disponible	3,76 Go
Mémoire virtuelle totale	15,9 Go
Mémoire virtuelle disponible	11,3 Go
Espace pour le fichier d’échange	7,95 Go
Fichier d’échange	C:\pagefile.sys

-------------------------------------
Composants / Affichage
-------------------------------------
Nom	Intel(R) HD Graphics Family
ID de périphérique Plug-and-Play	PCI\VEN_8086&DEV_0116&SUBSYS_3388103C&REV_09\3&11583659&0&10
Type de carte	Intel(R) HD Graphics Family, compatible Advanced Micro Devices, Inc.
Description de la carte	Intel(R) HD Graphics Family
Mémoire vive sur la carte	(262 217 728) octets
Pilotes installés	igdumd64.dll,igd10umd64.dll,igd10umd64.dll,igdumdx32,igd10umd32,igd10umd32
Version du pilote	8.882.2.3000
Fichier INF	oem13.inf (section iSNBM1ML_PROXY)
Plans de couleurs	Non disponible
Entrées de table des couleurs	4294967296
Résolution	1366 x 768 x 60 hertz
Bits/pixel	32
Adresse mémoire	0xC0000000-0xC03FFFFF
Adresse mémoire	0xB0000000-0xBFFFFFFF
Port d’E/S	0x00006000-0x0000603F
Canal IRQ	IRQ 16
Port d’E/S	0x000003B0-0x000003BB
Port d’E/S	0x000003C0-0x000003DF
Adresse mémoire	0xA0000-0xBFFFF
Pilote	c:\windows\system32\drivers\atikmpag.sys (8.14.1.6226, 303,00 Ko (310 272 octets), 01/10/2011 10:28)
	
Nom	Radeon (TM) HD 6770M
ID de périphérique Plug-and-Play	PCI\VEN_1002&DEV_6740&SUBSYS_3388103C&REV_00\4&EC6F72D&0&0008
Type de carte	ATI display adapter (0x6740), compatible Advanced Micro Devices, Inc.
Description de la carte	Radeon (TM) HD 6770M
Mémoire vive sur la carte	(2 147 483 648) octets
Pilotes installés	aticfx64.dll,aticfx64.dll,aticfx64.dll,aticfx32,aticfx32,aticfx32,atiumd64.dll,atidxx64.dll,atidxx64.dll,atiumdag,atidxx32,atidxx32,atiumdva,atiumd6a.cap,atitmm64.dll
Version du pilote	8.882.2.3000
Fichier INF	oem13.inf (section ati2mtag_Vancouver_PRAI)
Plans de couleurs	Non disponible
Entrées de table des couleurs	Non disponible
Résolution	Non disponible
Bits/pixel	Non disponible
Adresse mémoire	0xA0000000-0xAFFFFFFF
Adresse mémoire	0xC74E0000-0xC74FFFFF
Port d’E/S	0x00005F00-0x00005FFF
Canal IRQ	IRQ 4294967283
Pilote	c:\windows\system32\drivers\atikmpag.sys (8.14.1.6226, 303,00 Ko (310 272 octets), 01/10/2011 10:28)
-------------------------------------
Comment 95 V Stuart Foote 2017-07-22 12:28:20 UTC
@Philippe,

(In reply to Philippe_E from comment #92)
> Created attachment 134778 [details]
> dxdiag-display

Looks like you've got one of HPs hybrid AMD HD6770M dv6 laptops with "dynamic switchable graphics" between on CPU HD 3000 and ATI 67xx series discrete GPU, the AMD Catalyst bundle provides drivers for both GPUs.

You need to update the drivers.

Unfortunately HP never provided updated drivers. Several forums suggest the AMD 12-10 Catalyst mobility driver for the 6700M will update the HP HD6770M instance 

=-ref-=
This gives a step-by-step
https://h30434.www3.hp.com/t5/Notebooks-Archive-Read-Only/GUIDE-Update-AMD-Mobility-Radeon-drivers-to-fix-graphics/td-p/1406655

Follow the HP guidance for updating BIOS and set FIXED GPU mode (to use the AMD chip while doing the driver update) for your dv6 model here:
https://support.hp.com/us-en/document/c02948560

Then here are the download links for the 12-10_mobility_vista_win7_win8_64_dd_ccc_whql_net4 for 6700M:

For 32 bit: http://www2.ati.com/Drivers/mobile/12-10_mobility_vista_win7_win8_32_dd_ccc_whql_net4.exe

For 64 bit: http://www2.ati.com/Drivers/mobile/12-10_mobility_vista_win7_win8_64_dd_ccc_whql_net4.exe

YMMV but that should get you off the 8.882.2.3000 to at least test. You can rollback if things go bad.
Comment 96 Christoffer 2017-07-22 19:12:45 UTC
Created attachment 134786 [details]
printing documents omits all text

(In reply to Christoffer from comment #89)
> (In reply to Buovjaga from comment #86)
> > (In reply to Christoffer from comment #85)
> > > Created attachment 134766 [details]
> > > No text visible on 5.4.0.2 RC2
> > > 
> > > I tried out the RC2 of 5.4 and this bug appeared. I guess it isn't fixed?
> > 
> > The commit went in just a few hours ago, it cannot be in 5.4 RC2. Test with
> > a master build for now:
> > http://dev-builds.libreoffice.org/daily/master/Win-x86_64@42/current/
> 
> Thank you. The issue has been solved for me in
> libo-master64~2017-07-21_04.09.11_LibreOfficeDev_6.0.0.0.alpha0_Win_x64

The bug isn't fixed completely yet.
Sending a document to the printer omits all text. I guess it's the same bug.
Check my attachment .jpg
Comment 97 Philippe_E 2017-07-22 20:27:14 UTC
(In reply to V Stuart Foote from comment #95)
> @Philippe,
> 
> (In reply to Philippe_E from comment #92)
> > Created attachment 134778 [details]
> > dxdiag-display
> 
> Looks like you've got one of HPs hybrid AMD HD6770M dv6 laptops with
> "dynamic switchable graphics" between on CPU HD 3000 and ATI 67xx series
> discrete GPU, the AMD Catalyst bundle provides drivers for both GPUs.
> 
> You need to update the drivers.
> 
> Unfortunately HP never provided updated drivers. Several forums suggest the
> AMD 12-10 Catalyst mobility driver for the 6700M will update the HP HD6770M
> instance 
> 
> =-ref-=
> This gives a step-by-step
> https://h30434.www3.hp.com/t5/Notebooks-Archive-Read-Only/GUIDE-Update-AMD-
> Mobility-Radeon-drivers-to-fix-graphics/td-p/1406655
> 
> Follow the HP guidance for updating BIOS and set FIXED GPU mode (to use the
> AMD chip while doing the driver update) for your dv6 model here:
> https://support.hp.com/us-en/document/c02948560
> 
> Then here are the download links for the
> 12-10_mobility_vista_win7_win8_64_dd_ccc_whql_net4 for 6700M:
> 
> For 32 bit:
> http://www2.ati.com/Drivers/mobile/12-
> 10_mobility_vista_win7_win8_32_dd_ccc_whql_net4.exe
> 
> For 64 bit:
> http://www2.ati.com/Drivers/mobile/12-
> 10_mobility_vista_win7_win8_64_dd_ccc_whql_net4.exe
> 
> YMMV but that should get you off the 8.882.2.3000 to at least test. You can
> rollback if things go bad.

Hello,
I unlocked the situation by following the first advice of Stuart. Indeed the graphics card was double and dynamically changed status. This is probably what did not work?
Indeed, I have only followed the support on https://support.hp.com/en-us/document/c02948560 I went into the bios and reversed the setting of the graphics card from "dynamic "To" Fixed ". When restarting, LibreOffice 6.0 was working !!!
Here, I found information on this type of interchangeable card: https://support.hp.com/en-us/document/c02895711

However, as the computer was heating up and turning on the fan too quickly, I continued to follow the advice and upgraded the Radeon 6700M. Now everything is perfect. Out of curiosity, I tried to install LibreOffice 5.3.4 and there SURPRISE: it also worked !!!

Conclusion, I wonder if my case corresponds to the general problem? Because in fact, it was enough to change the setting of the graphics card (from dynamics to Fixed) to solve the problem. What a pity that I did not try to run LO 5.3.4 before installing the update of the Radeon card ... I could have known if the original problem could have been solved just by switching from Dynamic to fixed via the BIOS.

Thank you all.
Philippe
Comment 98 Philippe_E 2017-07-22 21:17:11 UTC
(In reply to Philippe_E from comment #97)
> (In reply to V Stuart Foote from comment #95)
> > @Philippe,
> > 
> > (In reply to Philippe_E from comment #92)
> > > Created attachment 134778 [details]
> > > dxdiag-display
> > 
> > Looks like you've got one of HPs hybrid AMD HD6770M dv6 laptops with
> > "dynamic switchable graphics" between on CPU HD 3000 and ATI 67xx series
> > discrete GPU, the AMD Catalyst bundle provides drivers for both GPUs.
> > 
> > You need to update the drivers.
> > 
> > Unfortunately HP never provided updated drivers. Several forums suggest the
> > AMD 12-10 Catalyst mobility driver for the 6700M will update the HP HD6770M
> > instance 
> > 
> > =-ref-=
> > This gives a step-by-step
> > https://h30434.www3.hp.com/t5/Notebooks-Archive-Read-Only/GUIDE-Update-AMD-
> > Mobility-Radeon-drivers-to-fix-graphics/td-p/1406655
> > 
> > Follow the HP guidance for updating BIOS and set FIXED GPU mode (to use the
> > AMD chip while doing the driver update) for your dv6 model here:
> > https://support.hp.com/us-en/document/c02948560
> > 
> > Then here are the download links for the
> > 12-10_mobility_vista_win7_win8_64_dd_ccc_whql_net4 for 6700M:
> > 
> > For 32 bit:
> > http://www2.ati.com/Drivers/mobile/12-
> > 10_mobility_vista_win7_win8_32_dd_ccc_whql_net4.exe
> > 
> > For 64 bit:
> > http://www2.ati.com/Drivers/mobile/12-
> > 10_mobility_vista_win7_win8_64_dd_ccc_whql_net4.exe
> > 
> > YMMV but that should get you off the 8.882.2.3000 to at least test. You can
> > rollback if things go bad.
> 
> Hello,
> I unlocked the situation by following the first advice of Stuart. Indeed the
> graphics card was double and dynamically changed status. This is probably
> what did not work?
> Indeed, I have only followed the support on
> https://support.hp.com/en-us/document/c02948560 I went into the bios and
> reversed the setting of the graphics card from "dynamic "To" Fixed ". When
> restarting, LibreOffice 6.0 was working !!!
> Here, I found information on this type of interchangeable card:
> https://support.hp.com/en-us/document/c02895711
> 
> However, as the computer was heating up and turning on the fan too quickly,
> I continued to follow the advice and upgraded the Radeon 6700M. Now
> everything is perfect. Out of curiosity, I tried to install LibreOffice
> 5.3.4 and there SURPRISE: it also worked !!!
> 
> Conclusion, I wonder if my case corresponds to the general problem? Because
> in fact, it was enough to change the setting of the graphics card (from
> dynamics to Fixed) to solve the problem. What a pity that I did not try to
> run LO 5.3.4 before installing the update of the Radeon card ... I could
> have known if the original problem could have been solved just by switching
> from Dynamic to fixed via the BIOS.
> 
> Thank you all.
> Philippe

A small complement:
I tested the graphics card on "dynamic": LibreOffice 6 and 5.3.4.2 are both without text.
I then restored the card to 'Fixed' in the bios: LibreOffice 6 and 5.3.4.2 have found their texts.
Philippe
Comment 99 EricP 2017-07-23 00:49:43 UTC
Still not fixed for my system described in Comments 29, 72 in
libo-master~2017-07-21_02.58.26_LibreOfficeDev_6.0.0.0.alpha0_Win_x86.msi
Comment 100 V Stuart Foote 2017-07-23 03:22:39 UTC
(In reply to EricP from comment #99)
> Still not fixed for my system described in Comments 29, 72 in
> libo-master~2017-07-21_02.58.26_LibreOfficeDev_6.0.0.0.alpha0_Win_x86.msi

@Eric

If you look at your testing in comment 29, you show the 8.15.10.2302 was OK--but reverted to broken 8.15.10.1883 by installing the Toshiba provided driver.

Suspect you would be well served to just use the newer 8.15.10.2302 from Windows update. Or possibly grab the Intel provided 8.15.10.2993 driver--but likely need to do a manual install.

=-refs-=
Driver--
https://downloadcenter.intel.com/download/22518/Intel-Graphics-Media-Accelerator-Driver-Windows-7-and-Windows-Vista-zip-

If/when installer says it can't be installed bcz of manufacturer, 
https://www.intel.com/content/www/us/en/support/graphics-drivers/000005469.html

These manual install steps
https://www.intel.com/content/www/us/en/support/graphics-drivers/000005474.html
Comment 101 V Stuart Foote 2017-07-23 03:37:35 UTC
(In reply to Philippe_E from comment #98)
> I tested the graphics card on "dynamic": LibreOffice 6 and 5.3.4.2 are both
> without text.
> I then restored the card to 'Fixed' in the bios: LibreOffice 6 and 5.3.4.2
> have found their texts.

@Philippe,

So when in FIXED mode, which of the GPUs renders correctly?  The AMD HD6770M or the Intel HD3000, and what driver version(s). A run of dxdiag.exe should show where things are set now.

With heat issues suspect it may be the AMD, but it could be the Intel on CPU die.

Also, FIXED mode should only have been needed to do the driver updates. Now you should be able to again use Dynamic mode, but use the Catalyst GUI to force the soffice.exe to run with either "supported" GPU.
Comment 102 V Stuart Foote 2017-07-23 06:22:13 UTC
(In reply to Christoffer from comment #96)
> 
> The bug isn't fixed completely yet.
> Sending a document to the printer omits all text. I guess it's the same bug.
> Check my attachment .jpg

That is troubling, and a new issue.  Displaying to document canvas and the GUI are isolated from the print and PDF export.

Could you try your printing with Tools -> Options -> View: "Use hardware acceleration" unchecked.

Also, report test results of an export to PDF.

This printing issue will need a new BZ report opened, please do so.
Comment 103 Christoffer 2017-07-23 06:41:31 UTC
(In reply to V Stuart Foote from comment #102)
> (In reply to Christoffer from comment #96)
> > 
> > The bug isn't fixed completely yet.
> > Sending a document to the printer omits all text. I guess it's the same bug.
> > Check my attachment .jpg
> 
> That is troubling, and a new issue.  Displaying to document canvas and the
> GUI are isolated from the print and PDF export.
> 
> Could you try your printing with Tools -> Options -> View: "Use hardware
> acceleration" unchecked.
> 
> Also, report test results of an export to PDF.
> 
> This printing issue will need a new BZ report opened, please do so.

https://bugs.documentfoundation.org/show_bug.cgi?id=109281
Comment 104 Philippe_E 2017-07-23 08:18:37 UTC
(In reply to V Stuart Foote from comment #101)
> (In reply to Philippe_E from comment #98)
> > I tested the graphics card on "dynamic": LibreOffice 6 and 5.3.4.2 are both
> > without text.
> > I then restored the card to 'Fixed' in the bios: LibreOffice 6 and 5.3.4.2
> > have found their texts.
> 
> @Philippe,
> 
> So when in FIXED mode, which of the GPUs renders correctly?  The AMD HD6770M
> or the Intel HD3000, and what driver version(s). A run of dxdiag.exe should
> show where things are set now.
> 
> With heat issues suspect it may be the AMD, but it could be the Intel on CPU
> die.
> 
> Also, FIXED mode should only have been needed to do the driver updates. Now
> you should be able to again use Dynamic mode, but use the Catalyst GUI to
> force the soffice.exe to run with either "supported" GPU.

Hello,
There is something strange: the driver versions of the Intel and Radeon are different. For Intel it is always the old one that is present (8.882.2.3000) whereas for Radeon it is the new one (9.2.0.0).
Does this explain why it crashes when entering Dynamic mode?
Philippe
Here msinfo32.exe
Composants / Affichage
-------------------------------------
Nom	Intel(R) HD Graphics Family
ID de périphérique Plug-and-Play	PCI\VEN_8086&DEV_0116&SUBSYS_3388103C&REV_09\3&11583659&0&10
Type de carte	Intel(R) HD Graphics Family, compatible Advanced Micro Devices, Inc.
Description de la carte	Intel(R) HD Graphics Family
Mémoire vive sur la carte	(262 217 728) octets
Pilotes installés	igdumd64.dll,igd10umd64.dll,igd10umd64.dll,igdumdx32,igd10umd32,igd10umd32
Version du pilote	8.882.2.3000
Fichier INF	oem13.inf (section iSNBM1ML_PROXY)
Plans de couleurs	Non disponible
Entrées de table des couleurs	4294967296
Résolution	1366 x 768 x 60 hertz
Bits/pixel	32
Adresse mémoire	0xC0000000-0xC03FFFFF
Adresse mémoire	0xB0000000-0xBFFFFFFF
Port d’E/S	0x00006000-0x0000603F
Canal IRQ	IRQ 16
Port d’E/S	0x000003B0-0x000003BB
Port d’E/S	0x000003C0-0x000003DF
Adresse mémoire	0xA0000-0xBFFFF
	
Nom	AMD Radeon HD 6700M Series
ID de périphérique Plug-and-Play	PCI\VEN_1002&DEV_6740&SUBSYS_3388103C&REV_00\4&EC6F72D&0&0008
Type de carte	AMD Radeon Graphics Processor (0x6740), compatible Advanced Micro Devices, Inc.
Description de la carte	AMD Radeon HD 6700M Series
Mémoire vive sur la carte	(2 147 483 648) octets
Pilotes installés	aticfx64.dll,aticfx64.dll,aticfx64.dll,aticfx32,aticfx32,aticfx32,atiumd64.dll,atidxx64.dll,atidxx64.dll,atiumdag,atidxx32,atidxx32,atiumdva,atiumd6a.cap,atitmm64.dll
Version du pilote	9.2.0.0
Fichier INF	oem53.inf (section ati2mtag_VancouverA)
Plans de couleurs	Non disponible
Entrées de table des couleurs	Non disponible
Résolution	Non disponible
Bits/pixel	Non disponible
Adresse mémoire	0xA0000000-0xAFFFFFFF
Adresse mémoire	0xC74E0000-0xC74FFFFF
Port d’E/S	0x00005F00-0x00005FFF
Canal IRQ	IRQ 4294967283
Comment 105 Philippe_E 2017-07-23 09:28:36 UTC
(In reply to Philippe_E from comment #104)
> (In reply to V Stuart Foote from comment #101)
> > (In reply to Philippe_E from comment #98)

> > So when in FIXED mode, which of the GPUs renders correctly?  The AMD HD6770M
> > or the Intel HD3000, and what driver version(s). A run of dxdiag.exe should
> > show where things are set now.

> Hello,
> There is something strange: the driver versions of the Intel and Radeon are
> different. For Intel it is always the old one that is present (8.882.2.3000)
> whereas for Radeon it is the new one (9.2.0.0).
> Does this explain why it crashes when entering Dynamic mode?
> Philippe
> Here msinfo32.exe

I forgot to say that in "FIXED" mode, LibreOffice works well (menu text included) with both Radeon or Intel GPUs.
The only remaining problem is in "DYNAMIC" mode. But I may be able to stay in Fixed mode without harming the computer, right?
Philippe
Comment 106 V Stuart Foote 2017-07-23 16:31:25 UTC
(In reply to Philippe_E from comment #105)
> I forgot to say that in "FIXED" mode, LibreOffice works well (menu text
> included) with both Radeon or Intel GPUs.
> The only remaining problem is in "DYNAMIC" mode. But I may be able to stay
> in Fixed mode without harming the computer, right?
> Philippe

Staying in Fixed mode should not cause any issues. Simply use he Catalyst GUI (from desktop context menu) to manually select which GPU to use. Setting BIOS to Dynamic mode automates the switching.

(In reply to Philippe_E from comment #104)
>...
> There is something strange: the driver versions of the Intel and Radeon are
> different. For Intel it is always the old one that is present (8.882.2.3000)
> whereas for Radeon it is the new one (9.2.0.0).
> Does this explain why it crashes when entering Dynamic mode?

Possibly, and you would be well served to force the Intel GPU onto a newer driver. The Catalyst 12-10 installation should have done that. You might try to reinstall. Or, just do a manual driver update via Device manager and search  in the AMD Cayalyst folder (where it extracted to when first run). 

Alternatively, the Leshcat project [1] has "modded"--modified--64-bit drivers specifically for the hybrid mode AMD/Intel GPU combos. These folks poke hard at these exact issues with HP laptop systems. Looks like the 14.4 UnifL v2.4 [2] should have good fixed/dynamic support for you on 64-bit Windows 7 SP1.

=-ref-=
[1] http://leshcatlabs.net/forums/showthread.php?tid=1
http://leshcatlabs.net/forums/forumdisplay.php?fid=13

[2] http://drivers.softpedia.com/get/GRAPHICS-BOARD/Leshcat/Leshcat-AMD-UnifL-Catalyst-Graphics-Driver-144-v24-64-bit.shtml
Comment 107 Terje Bråten 2017-07-23 20:10:59 UTC
I have the same problem with this machine setup:

OS Name	Microsoft Windows 10 Home
Version	10.0.15063 Build 15063
Other OS Description 	Not Available
OS Manufacturer	Microsoft Corporation
System Name	BRATEN01
System Manufacturer	HP
System Model	HP Pavilion Desktop PC 570-p0xx
System Type	x64-based PC
System SKU	Z7C73EA#ABU
Processor	AMD A10-9700 RADEON R7, 10 COMPUTE CORES 4C+6G, 3500 Mhz, 4 Core(s), 4 Logical Processor(s)
BIOS Version/Date	AMI F.02, 17/01/2017
SMBIOS Version	3.0
Embedded Controller Version	255.255
BIOS Mode	UEFI
BaseBoard Manufacturer	HP
BaseBoard Model	Not Available
BaseBoard Name	Base Board
Platform Role	Desktop
Secure Boot State	On
PCR7 Configuration	Elevation Required to View
Windows Directory	C:\WINDOWS
System Directory	C:\WINDOWS\system32
Boot Device	\Device\HarddiskVolume3
Locale	United Kingdom
Hardware Abstraction Layer	Version = "10.0.15063.0"
Username	BRATEN01\Terje
Time Zone	GMT Summer Time
Installed Physical Memory (RAM)	8.00 GB
Total Physical Memory	7.45 GB
Available Physical Memory	4.77 GB
Total Virtual Memory	8.64 GB
Available Virtual Memory	5.73 GB
Page File Space	1.19 GB
Page File	C:\pagefile.sys
Device Encryption Support	Elevation Required to View
Hyper-V - VM Monitor Mode Extensions	Yes
Hyper-V - Second Level Address Translation Extensions	Yes
Hyper-V - Virtualisation Enabled in Firmware	No
Hyper-V - Data Execution Protection	Yes

Graphics display:
Name	AMD Radeon R7 Graphics + R5 435 Dual Graphics
PNP Device ID	PCI\VEN_1002&DEV_9874&SUBSYS_835C103C&REV_E2\3&11583659&1&08
Adapter Type	AMD Radeon Graphics Processor (0x9874), Advanced Micro Devices, Inc. compatible
Adapter Description	AMD Radeon R7 Graphics + R5 435 Dual Graphics
Adapter RAM	512.00 MB (536,870,912 bytes)
Installed Drivers	aticfx64.dll,aticfx64.dll,aticfx64.dll,amdxc64,aticfx32,aticfx32,aticfx32,amdxc32,atiumd64,atidxx64.dll,atidxx64.dll,atiumdag,atidxx32,atidxx32,atiumdva,atiumd6a.cap,atitmm64
Driver Version	21.19.142.32768
INF File	oem24.inf (ati2mtag_CarrizoDS section)
Colour Planes	Not Available
Colour Table Entries	4294967296
Resolution	1920 x 1080 x 60 hertz
Bits/Pixel	32
Memory Address	0xD0000000-0xFEC2FFFF
Memory Address	0xF0000000-0xF07FFFFF
I/O Port	0x0000F000-0x0000F0FF
Memory Address	0xFEB00000-0xFEB3FFFF
IRQ Channel	IRQ 4294967284
Driver	c:\windows\system32\driverstore\filerepository\c0308919.inf_amd64_d682d8211894bc2e\atikmpag.sys (21.19.128.1, 506.88 KB (519,048 bytes), 22/03/2017 08:49)
	
Name	AMD Radeon R5 435
PNP Device ID	PCI\VEN_1002&DEV_6665&SUBSYS_34001462&REV_C3\4&27C1BE9B&0&0019
Adapter Type	AMD Radeon Graphics Processor (0x6665), Advanced Micro Devices, Inc. compatible
Adapter Description	AMD Radeon R5 435
Adapter RAM	(2,147,483,648) bytes
Installed Drivers	aticfx64.dll,aticfx64.dll,aticfx64.dll,amdxc64,aticfx32,aticfx32,aticfx32,amdxc32,atiumd64,atidxx64.dll,atidxx64.dll,atiumdag,atidxx32,atidxx32,atiumdva,atiumd6a.cap,atitmm64
Driver Version	21.19.142.32768
INF File	oem24.inf (ati2mtag_R503DS section)
Colour Planes	Not Available
Colour Table Entries	4294967296
Resolution	1920 x 1080 x 60 hertz
Bits/Pixel	32
Memory Address	0xE0000000-0xEFFFFFFF
Memory Address	0xFEA00000-0xFEA3FFFF
I/O Port	0x0000DF00-0x0000DFFF
IRQ Channel	IRQ 4294967273
Driver	c:\windows\system32\driverstore\filerepository\c0308919.inf_amd64_d682d8211894bc2e\atikmpag.sys (21.19.128.1, 506.88 KB (519,048 bytes), 22/03/2017 08:49)


Is there any work around I can do to make it work on my computer? Update graphics drivers? Please advice me.
Comment 108 Terje Bråten 2017-07-23 20:23:23 UTC
I just tried to install the latest version with
libo-master64~2017-07-21_04.09.11_LibreOfficeDev_6.0.0.0.alpha0_Win_x64

The problem is NOT fixed.
Please see attached screen shot.
Comment 109 Terje Bråten 2017-07-23 20:36:58 UTC
Created attachment 134800 [details]
Screen shot of latest build
Comment 110 Terje Bråten 2017-07-23 20:52:45 UTC
Created attachment 134801 [details]
DirectX Info (DxDiag) Terje

Hi

I have now also attached my DxDiag info, in case it will be useful to you to debug this issue.
Comment 111 Philippe_E 2017-07-23 20:57:59 UTC
(In reply to V Stuart Foote from comment #106)

> Staying in Fixed mode should not cause any issues. Simply use he Catalyst
> GUI (from desktop context menu) to manually select which GPU to use. Setting
> BIOS to Dynamic mode automates the switching.

Thank you for your detailed explanations. I understand better.
 
> Possibly, and you would be well served to force the Intel GPU onto a newer
> driver. The Catalyst 12-10 installation should have done that. You might try
> to reinstall. Or, just do a manual driver update via Device manager and
> search  in the AMD Cayalyst folder (where it extracted to when first run). 
> 
> Alternatively, the Leshcat project [1] has "modded"--modified--64-bit
> drivers specifically for the hybrid mode AMD/Intel GPU combos. These folks
> poke hard at these exact issues with HP laptop systems. Looks like the 14.4
> UnifL v2.4 [2] should have good fixed/dynamic support for you on 64-bit
> Windows 7 SP1.
> [2]
> http://drivers.softpedia.com/get/GRAPHICS-BOARD/Leshcat/Leshcat-AMD-UnifL-
> Catalyst-Graphics-Driver-144-v24-64-bit.shtml

I found the version http://drivers.softpedia.com/get/GRAPHICS-BOARD/Leshcat/Leshcat-AMD-UnifL-Catalyst-Graphics-Driver-157-v12-64-bit.shtml in a folder dating from The time when I had tried Windows 10; This version had been advised by an HP technician. So I installed it today. I feel that everything is functional.
Thank you for your help!
Beautiful summer to you.
Philippe
Comment 112 Terje Bråten 2017-07-23 21:08:46 UTC
Would this driver  http://drivers.softpedia.com/get/GRAPHICS-BOARD/Leshcat/Leshcat-AMD-UnifL-Catalyst-Graphics-Driver-157-v12-64-bit.shtml
work on my machine, or is it only for laptops? (My machine is a Desktop PC)
Comment 113 V Stuart Foote 2017-07-23 21:28:08 UTC
(In reply to Terje Bråten from comment #107)
> I have the same problem with this machine setup:
> 
>... 
> 
> Is there any work around I can do to make it work on my computer? Update
> graphics drivers? Please advice me.

Not clear this is the same problem. You are on a Windows 10 system with AMD R7/R5 GPUs and reasonably current drivers. 

You could update to current Crimson ReLive 17.7.1 driver 17.10.3211.1031 (Windows Driver Store Version 22.19.171.1024), but the 21.19.142.32768 is already a WDDM 2.1 driver.

Curious if your display clears up if you disable LibreOffice OpenGL rendering from Tools -> Options -> View panel.  Uncheck "Use OpenGL for all rendering" and restart LibreOffice. Result?

(In reply to Terje Bråten from comment #112)
> Would this driver 
> http://drivers.softpedia.com/get/GRAPHICS-BOARD/Leshcat/Leshcat-AMD-UnifL-
> Catalyst-Graphics-Driver-157-v12-64-bit.shtml
> work on my machine, or is it only for laptops? (My machine is a Desktop PC)

NO! Completely different hardware/driver issues.
Comment 114 V Stuart Foote 2017-07-23 21:33:27 UTC
(In reply to Terje Bråten from comment #112)
> Would this driver 
> http://drivers.softpedia.com/get/GRAPHICS-BOARD/Leshcat/Leshcat-AMD-UnifL-
> Catalyst-Graphics-Driver-157-v12-64-bit.shtml
> work on my machine, or is it only for laptops? (My machine is a Desktop PC)

This would be my suggestion for your A10-9700 R7 on chip GPU, with discrete R5 M320 graphics card, the current 17.7.1 driver from AMD:

https://www2.ati.com/drivers/beta/radeon-software-crimson-relive-17.7.1-win10-64bit-july17.exe

You shouldn't need a Leshcat modified driver.

Please let us know about disabling OpenGL
Comment 115 Terje Bråten 2017-07-24 08:37:23 UTC
Hi.

I had a bit hard time doing the disabling of OpenGL, since there is not text on the menus and the screens. But I found a screenshot online of where that option is supposed to be. It did not make a difference unticking or ticking those check boxes. I restarted libreoffice and my machine several times.
Comment 116 Terje Bråten 2017-07-24 08:42:58 UTC
(In reply to V Stuart Foote from comment #114)
> 
> This would be my suggestion for your A10-9700 R7 on chip GPU, with discrete
> R5 M320 graphics card, the current 17.7.1 driver from AMD:
> 
> https://www2.ati.com/drivers/beta/radeon-software-crimson-relive-17.7.1-
> win10-64bit-july17.exe
> 
> You shouldn't need a Leshcat modified driver.
> 

Thank you for your suggestion. I am at work now, but I will see if I can test it when I get home.
Comment 117 Ralph 2017-07-25 13:10:40 UTC
Version 5.3.4 No Text Visible, but 5.2.7 Works

I returned my Toshiba A505 laptop to factory setting and installed LO 5.3.4, but no text appeared for the menus or filenames. LO was then removed and reinstalled, no luck. Next the renaming user folder etc was tried, again didn't work. Finally I removed LO and installed version 5.2.7 from another computer, and everything works perfectly.
Comment 118 Tom 2017-07-25 20:39:32 UTC
re: Version 5.3.4 AND later No Text Visible, but 5.2.7 Works

Folks. what is LibreOffice?

It is office productivity software.  And that can be a home, home office, school office, classroom, or any size business.

As such, I would expect users to be somewhat knowledgeable about the use of one or more of the applications..., but do you really expect them to know anything about the hardware/software changes that appear necesary to make ANYTHING PAST 5.2.7.2 to work.  No, ALL UPGRADES should install easily and operate flawlessly.

Now, from a systems analyst's point of view let's examine the issue...,

         1.  Just exactly WHAT changed between 5.2.7 and 5.3.4?  Are there change logs, work requests or other documents to be examined?
	 2.  Is the particular change item that is causing this whole discussion really necessary?  Or is it just 'nice to have'?
	 3.  I keep seeing graphics stack mentioned here -- what graphics changed and why?
	 
Slow down and consider you customer base, and then make changes, please.
Comment 119 Aron Budea 2017-07-26 13:51:03 UTC
Those who still couldn't see text after previous fix, please test either with the latest daily build from last night, or the updated 5.4.0.3 prerelease build from [1] (file name is still LibreOffice_5.4.0.3_Win_x86.msi, but it was updated today). The fix to bug 109281 should help here as well.

[1] http://dev-builds.libreoffice.org/pre-releases/win/
Comment 120 Buovjaga 2017-07-26 14:02:22 UTC
Ralph: see comment 119
Comment 121 Tom 2017-07-26 14:10:50 UTC
Text is invisible, both in UI and in editor on update to LibreOffice 5.4.0.3-hotfix.  Toshiba Laptop, Windows 7, SP1+ - All Factory Updates!
Comment 122 V Stuart Foote 2017-07-26 14:37:44 UTC
(In reply to Tom from comment #118)
> ...
> Now, from a systems analyst's point of view let's examine the issue...,
> 
>          1.  Just exactly WHAT changed between 5.2.7 and 5.3.4?  Are there
> change logs, work requests or other documents to be examined?

It is all there well documented, up to YOU to dig it out--BZ [1], cgit [2], gerrit [3], opengrock [4]

> 	 2.  Is the particular change item that is causing this whole discussion
> really necessary?  Or is it just 'nice to have'?

Very necessary.

> 	 3.  I keep seeing graphics stack mentioned here -- what graphics changed
> and why?

For code maintenance and consistent implementation we moved the font rendering to HarfBuzz cross platform. That, while implementing OpenGL rendering cross platform. The combination revealed weakness in our legacy GDI/GDI+ based graphics stack on Windows. It necessitated a lot of refactoring to move most of the font rendering to MS DirectWrite Direct2D calls with some residual cross platform GDI, and fall-back GDI when OS/GPU driver fails.

Issue here has been buggy DirectX drivers provided by GPU vendors, the fix has been to provide better error handling and fall-back.

> 	 
> Slow down and consider you customer base, and then make changes, please.

Not going to happen. Users are welcome to stay on EOL releases. Rather the project expects input from all users and competent "systems analysts" during the development and QC cycle. The project is on a timed-release development cycle [5]--changes go ready or not, the key is early testing and dev/QC feedback. The more testers/testing the fewer the hidden regressions.

The issue here with marginal driver support was simply not detected until more users shifted to a 5.3 release build. 


=-refs-=
Tools for following Project development
[1] https://bugs.documentfoundation.org/query.cgi?format=advanced
[2] https://cgit.freedesktop.org/libreoffice/core/
[3] https://gerrit.libreoffice.org/gitweb?p=core.git;a=summary
[4] https://opengrok.libreoffice.org/

Our timed-release cycle
[5] https://wiki.documentfoundation.org/ReleasePlan
Comment 123 V Stuart Foote 2017-07-26 14:44:46 UTC
(In reply to Tom from comment #121)
> Text is invisible, both in UI and in editor on update to LibreOffice
> 5.4.0.3-hotfix.  Toshiba Laptop, Windows 7, SP1+ - All Factory Updates!

"Factory" updates are likely not going to do it.

Please provide your GPU and driver details. 
msinfo32.exe -> Summary panel, and Component -> Display
or
dxdiag.exe -> screen clip of system, and display panels

Also, please test an "msiexec.exe /a" admin install of current master daily build. Currently (2017-07-26):
64-bit
http://dev-builds.libreoffice.org/daily/master/Win-x86_64%4042/2017-07-26_12.33.46/libo-master64~2017-07-26_12.33.46_LibreOfficeDev_6.0.0.0.alpha0_Win_x64.msi
 
32-bit
http://dev-builds.libreoffice.org/daily/master/Win-x86%4042/2017-07-26_05.51.20/libo-master~2017-07-26_05.51.20_LibreOfficeDev_6.0.0.0.alpha0_Win_x86.msi
Comment 124 V Stuart Foote 2017-07-26 14:49:37 UTC
(In reply to V Stuart Foote from comment #123)

> Also, please test an "msiexec.exe /a" admin install of current master daily
> build. Currently (2017-07-26):

Instructions for /a administrative install are here:
https://wiki.documentfoundation.org/Installing_in_parallel/Windows#Version_3.5.x_and_newer
Comment 125 Tom 2017-07-26 16:33:58 UTC Comment hidden (spam)
Comment 126 EricP 2017-07-28 01:20:02 UTC
(In reply to Aron Budea from comment #119)
I downloaded a new copy of LibreOffice_5.4.0.3_Win_x86.msi and master~2017-07-26_15.18.05_LibreOfficeDev_6.0.0.0.alpha0_Win_x86.msi.

All text is STILL INVISIBLE on my laptop described in Comments 29, 72 when using the Intel Graphics Driver v.8.15.10.1883 from Toshiba. I've not tested the other drivers but presume that they work work OK, as would disabling Aero.
Comment 127 EricP 2017-07-28 01:26:09 UTC
(In reply to V Stuart Foote from comment #100)
> Suspect you would be well served to just use the newer 8.15.10.2302 from
> Windows update. Or possibly grab the Intel provided 8.15.10.2993 driver--but
> likely need to do a manual install.

Yes, that would probably work. But the laptop I'm testing on normally boots Windows 10 and works just fine. I setup a second drive with Windows 7 and the problematic driver version for doing the bibisecting.
Comment 128 Kevin Salisbury 2017-07-28 13:57:24 UTC
Created attachment 134942 [details]
Missing Part of Letter - Menu
Comment 129 Kevin Salisbury 2017-07-28 13:59:18 UTC
Version: 5.4.0.3 (x64)
Build ID: 7556cbc6811c9d992f4064ab9287069087d7f62c
CPU threads: 2; OS: Windows 6.1; UI render: default; 
Locale: en-US (en_US); Calc: single
Use Anti-Aliasing is Checked - OpenGL and HW Acceleration are Unchecked.

After testing for several hours across all LO apps, under RDP (Remote Desktop Connection) to Windows Server 2008 R2 and Windows 7 Pro - we have not yet seen any missing text, anywhere. (Well, that's not 100% true, in all of the menus there seems to be a small missing part of the last letter. See attachment.) We will continue testing and report back with specific issues, but I believe we are making significant progress with this missing text issue on the Remote Desktop Connection / RDP front.
Comment 130 tomangelo 2017-07-28 21:03:23 UTC
Created attachment 134957 [details]
Daily master build from 27.07, with and without Aero

Same thing happens for master daily from 26.07 and pre-release 5.4.0.3
Comment 131 V Stuart Foote 2017-07-29 00:11:30 UTC
(In reply to V Stuart Foote from comment #123)
> (In reply to Tom from comment #121)
> > Text is invisible, both in UI and in editor on update to LibreOffice
> > 5.4.0.3-hotfix.  Toshiba Laptop, Windows 7, SP1+ - All Factory Updates!
> 
> "Factory" updates are likely not going to do it.
> 
> Please provide your GPU and driver details. 
> msinfo32.exe -> Summary panel, and Component -> Display
> or
> dxdiag.exe -> screen clip of system, and display panels
> 

Tom (thospend@...) responded in PM with DxDiag details:
<quote>
   Operating System: Windows 7 Home Premium 32-bit (6.1, Build 7601) Service Pack 1 (7601.win7sp1_ldr.170512-0600)
           Language: English (Regional Setting: English)
System Manufacturer: TOSHIBA
       System Model: Satellite T135
               BIOS: PhoenixBIOS 4.0 Release 6.1    
          Processor: Genuine Intel(R) CPU U4100  @ 1.30GHz (2 CPUs), ~1.3GHz
             Memory: 3072MB RAM
Available OS Memory: 2936MB RAM
          Page File: 2561MB used, 3310MB available
        Windows Dir: C:\Windows
    DirectX Version: DirectX 11
</quote>

So the SP1 Platform Update (KB2670838) is probably installed.

And the troublesome Toshiba mobile deployed 8.15.010.1883 Intel GPU driver, which others also reported as bad. This particular GPU does work correctly with current driver.  -> FIXED

<quote>
---------------
Display Devices
---------------
          Card name: Mobile Intel(R) 4 Series Express Chipset Family
       Manufacturer: Intel Corporation
          Chip type: Mobile Intel(R) 4 Series Express Chipset Family
           DAC type: Internal
         Device Key: Enum\PCI\VEN_8086&DEV_2A42&SUBSYS_FFE11179&REV_07
     Display Memory: 1340 MB
   Dedicated Memory: 128 MB
      Shared Memory: 1212 MB
       Current Mode: 1366 x 768 (32 bit) (60Hz)
       Monitor Name: Generic PnP Monitor
      Monitor Model: unknown
         Monitor Id: AUO102C
        Native Mode: 1366 x 768(p) (60.020Hz)
        Output Type: Internal
       
        Driver Name: igdumdx32.dll,igd10umd32.dll,igd10umd32.dll
Driver File Version: 8.15.0010.1883 (English)
     Driver Version: 8.15.10.1883
        DDI Version: 10
       Driver Model: WDDM 1.1
  Driver Attributes: Final Retail
   Driver Date/Size: 8/27/2009 09:54:00, 549888 bytes
        WHQL Logo'd: Yes
    WHQL Date Stamp:
  Device Identifier: {D7B78E66-6902-11CF-9275-EBDFA7C2C535}
          Vendor ID: 0x8086
          Device ID: 0x2A42
          SubSys ID: 0xFFE11179
        Revision ID: 0x0007
</quote>

(In reply to tomangelo from comment #130)

> Created attachment 134957 [details]
> Daily master build from 27.07, with and without Aero
> 
> Same thing happens for master daily from 26.07 and pre-release 5.4.0.3

For @tomangelo,

You show in comment 0 that your working with a system with Intel i5-5200U (that has an HD5500 GPU embedded) and an AMD Radeon M375 discrete GPU. Is this laptop a Lenovo z51-70?

Also in comment 10 that you'd tried the 17.4.4, 17.4.2 and 16.12.1 drivers.

But could you post your DxDiag.exe result for System & Display, so we can see what vendor, GPU, and driver you are working with.

Also, current AMD drivers for the R9 M375 are at 17.7.2--worth checking that.

https://www2.ati.com/drivers/whql-win10-64bit-radeon-software-crimson-relive-17.7.2-july27.exe
Comment 132 V Stuart Foote 2017-07-29 00:28:21 UTC
@tomangelo,

(In reply to V Stuart Foote from comment #131)

> https://www2.ati.com/drivers/whql-win10-64bit-radeon-software-crimson-relive-
> 17.7.2-july27.exe

Oops, sorry your on Windows 7 sp1 64-bit so this would be the AMD 17.7.2 driver:

https://www2.ati.com/drivers/whql-win7-64bit-radeon-software-crimson-relive-17.7.2-july27.exe
Comment 133 Terje Bråten 2017-07-29 11:32:01 UTC
Created attachment 134968 [details]
Screen shot of latest build 2017-07-29

I tried to install the latest build with
libo-master64~2017-07-29_00.00.02_LibreOfficeDev_6.0.0.0.alpha0_Win_x64

As you can see from the uploaded screenshot it did not work.
Comment 134 Buovjaga 2017-07-29 11:44:24 UTC
Guys: please leave the status alone. If there is some other issue discovered, a new report can be opened.

(In reply to Terje Bråten from comment #116)
> (In reply to V Stuart Foote from comment #114)
> > 
> > This would be my suggestion for your A10-9700 R7 on chip GPU, with discrete
> > R5 M320 graphics card, the current 17.7.1 driver from AMD:
> > 
> > https://www2.ati.com/drivers/beta/radeon-software-crimson-relive-17.7.1-
> > win10-64bit-july17.exe
> > 
> > You shouldn't need a Leshcat modified driver.
> > 
> 
> Thank you for your suggestion. I am at work now, but I will see if I can
> test it when I get home.

Terje: you never commented on this.
Comment 135 Terje Bråten 2017-07-29 12:26:17 UTC
I had hoped your new version fixed the bug without me having to mess with my drivers.

Ok. I will try that next then to install that graphic driver.
Comment 136 tomangelo 2017-08-01 12:28:20 UTC
@ V Stuart Foote 
DxDiag log https://pastebin.com/Rg1bwxN5

Tried AMD 17.7.2 drivers but nothing changed
Comment 137 V Stuart Foote 2017-08-01 13:58:09 UTC
(In reply to tomangelo from comment #136)
> @ V Stuart Foote 
> DxDiag log https://pastebin.com/Rg1bwxN5
> 
> Tried AMD 17.7.2 drivers but nothing changed

OK thanks. Shows you are on a Lenovo Z51-70 (80K6), and that the on CPU iGPU is Intel HD 5500 with its current driver 20.19.15.4624.

But, where is your AMD dGPU? Does Lenovo give you some way to force it active in Windows? Otherwise with the AMD Catalyst control panels? Or to disable the Intel iGPU in Bios? 

Need to figure that out (check with Lenovo forums if need be) and check with use of AMD dGPU.
Comment 138 tomangelo 2017-08-01 17:36:24 UTC
Still searching for a way to force OS to use only AMD discrete GPU, but I've just discovered that switching to Power Saving mode for soffice.bin in AMD Settings app fixes this issue. Switching to Based on Power Source mode still makes text invisible, even without AC adapter connected to notebook.
Comment 139 V Stuart Foote 2017-08-01 17:54:57 UTC
(In reply to tomangelo from comment #138)
> Still searching for a way to force OS to use only AMD discrete GPU, but I've
> just discovered that switching to Power Saving mode for soffice.bin in AMD
> Settings app fixes this issue. Switching to Based on Power Source mode still
> makes text invisible, even without AC adapter connected to notebook

Which is weird, in power saving mode (i.e. the dGPU is bypassed) the program should run exclusively on the Intel HD 5500 here--suggesting the "4624" driver is good for use on the iGPU? And instead it is the AMD dGPU R9 M375 that is causing the visual glitches?

Which is not to say that we are not still doing something dodgy with our DirectWrite/GDI interactions, we probably are, but how are open source cross platform projects supposed to guard against system hardware/driver issues like these?
Comment 140 tomangelo 2017-08-01 18:51:22 UTC
Before I added this profile to AMD Settings there was problems. I think LO was running on AMD dGPU by default, after switching it to Power Saving mode it now runs only on Intel, which doesn't make any issues.
If I recall correctly in older versions of AMD drivers soffice.bin was set by default to Power Saving mode without possibility to change that to High Performance mode. 
Also seems like I can't force my Lenovo notebook to use only AMD dGPU. I can disable AMD dGPU and use only Intel HD5500 iGPU, not the other way around.
Comment 141 Kevin Salisbury 2017-08-04 11:35:34 UTC
Created attachment 135123 [details]
Master Build - Windows x64 - 4 AUG 17, RDP Menus Missing Text

FYI only. Possible regression: Master Build - Windows x64 - 4 AUG 17, under RDP (Remote Desktop Connection) Menus are back to missing text. We were reviewing the latest master for another issue and found this one had come back. Perhaps it's nothing and another Dev 6 alpha build will fix, it's an FYI only...
Comment 142 V Stuart Foote 2017-08-05 11:54:04 UTC
*** Bug 111391 has been marked as a duplicate of this bug. ***
Comment 143 Aron Budea 2017-08-05 12:29:13 UTC
(In reply to Kevin Salisbury from comment #141)
> FYI only. Possible regression: Master Build - Windows x64 - 4 AUG 17, under
> RDP (Remote Desktop Connection) Menus are back to missing text. We were
> reviewing the latest master for another issue and found this one had come
> back. Perhaps it's nothing and another Dev 6 alpha build will fix, it's an
> FYI only...

Which older build worked with the same setup? I tested this using RDP with a daily build from yesterday, but could see text fine.
Comment 144 Kevin Salisbury 2017-08-06 01:04:21 UTC
@Aron - 6.0Alpha x64 version master64~2017-07-14_02.04.48_LibreOfficeDev_6.0.0.0.alpha0_Win_x64 wasfine during my comments listed above. see: comment 67 comment 68 comment 69
Comment 145 Kevin Salisbury 2017-08-06 01:07:52 UTC
I will build two new test systems with the latest builds on Win 7 and 2008 r2 on Monday and report back.
Comment 146 Terje Bråten 2017-08-06 16:01:46 UTC
(In reply to Buovjaga from comment #134)
> Guys: please leave the status alone. If there is some other issue
> discovered, a new report can be opened.
> 
> (In reply to Terje Bråten from comment #116)
> > (In reply to V Stuart Foote from comment #114)
> > > 
> > > This would be my suggestion for your A10-9700 R7 on chip GPU, with discrete
> > > R5 M320 graphics card, the current 17.7.1 driver from AMD:
> > > 
> > > https://www2.ati.com/drivers/beta/radeon-software-crimson-relive-17.7.1-
> > > win10-64bit-july17.exe
> > > 
> > > You shouldn't need a Leshcat modified driver.
> > > 
> > 
> > Thank you for your suggestion. I am at work now, but I will see if I can
> > test it when I get home.
> 
> Terje: you never commented on this.

I have now installed the latest drivers from AMD, and the problem is still there. No menus and no visible text in the libreoffice program.

Here is my updated drivers information:

Name	AMD Radeon R7 Graphics + R5 435 Dual Graphics
PNP Device ID	PCI\VEN_1002&DEV_9874&SUBSYS_835C103C&REV_E2\3&11583659&1&08
Adapter Type	AMD Radeon Graphics Processor (0x9874), Advanced Micro Devices, Inc. compatible
Adapter Description	AMD Radeon R7 Graphics + R5 435 Dual Graphics
Adapter RAM	512.00 MB (536,870,912 bytes)
Installed Drivers	aticfx64.dll,aticfx64.dll,aticfx64.dll,amdxc64.dll,aticfx32,aticfx32,aticfx32,amdxc32,atiumd64,atidxx64.dll,atidxx64.dll,atiumdag,atidxx32,atidxx32,atiumdva,atiumd6a.cap,atitmm64
Driver Version	21.19.512.12
INF File	oem24.inf (ati2mtag_CarrizoDS section)
Colour Planes	Not Available
Colour Table Entries	4294967296
Resolution	1920 x 1080 x 60 hertz
Bits/Pixel	32
Memory Address	0xD0000000-0xFEC2FFFF
Memory Address	0xF0000000-0xF07FFFFF
I/O Port	0x0000F000-0x0000F0FF
Memory Address	0xFEB00000-0xFEB3FFFF
IRQ Channel	IRQ 4294967284
Driver	c:\windows\system32\driverstore\filerepository\c0311291.inf_amd64_89545f50ccbd636d\atikmpag.sys (21.19.512.12, 512.90 KB (525,208 bytes), 15/02/2017 05:48)
	
Name	AMD Radeon R5 435
PNP Device ID	PCI\VEN_1002&DEV_6665&SUBSYS_34001462&REV_C3\4&27C1BE9B&0&0019
Adapter Type	AMD Radeon Graphics Processor (0x6665), Advanced Micro Devices, Inc. compatible
Adapter Description	AMD Radeon R5 435
Adapter RAM	(2,147,483,648) bytes
Installed Drivers	aticfx64.dll,aticfx64.dll,aticfx64.dll,amdxc64.dll,aticfx32,aticfx32,aticfx32,amdxc32,atiumd64,atidxx64.dll,atidxx64.dll,atiumdag,atidxx32,atidxx32,atiumdva,atiumd6a.cap,atitmm64
Driver Version	21.19.512.12
INF File	oem24.inf (ati2mtag_R503DS section)
Colour Planes	Not Available
Colour Table Entries	4294967296
Resolution	1920 x 1080 x 60 hertz
Bits/Pixel	32
Memory Address	0xE0000000-0xEFFFFFFF
Memory Address	0xFEA00000-0xFEA3FFFF
I/O Port	0x0000DF00-0x0000DFFF
IRQ Channel	IRQ 4294967273
Driver	c:\windows\system32\driverstore\filerepository\c0311291.inf_amd64_89545f50ccbd636d\atikmpag.sys (21.19.512.12, 512.90 KB (525,208 bytes), 15/02/2017 05:48)
Comment 147 Terje Bråten 2017-08-06 16:04:11 UTC
I tried it with my installed build from
libo-master64~2017-07-29_00.00.02_LibreOfficeDev_6.0.0.0.alpha0_Win_x64

Same result as before.
Comment 148 Xisco Faulí 2017-08-07 15:33:08 UTC
*** Bug 111439 has been marked as a duplicate of this bug. ***
Comment 149 Xisco Faulí 2017-08-08 19:01:49 UTC Comment hidden (obsolete)
Comment 150 V Stuart Foote 2017-08-14 13:59:02 UTC Comment hidden (obsolete)
Comment 151 r@fael.lv 2017-08-15 06:27:13 UTC
Running LibreOffice 5.4.0.3 on Windows 8.1 64 bit, I have the same problem. 

This machine is a Dell Inspiron 2330 and, quite frankly, my last ATI-powered video card, due to multiple issues and no updates since right in the first year of purchase. Anyway, this is all off-topic.

One thing I know is, THERE IS NO SUCH THING AS A LATEST WORKING DRIVER FOR THE ATI HD 7650A, not from the manufacturer. The latest driver indicated won't work properly on Windows 8.1 or 10. The latest Windows 8 driver works fine only on Windows 8.

Anyway, because I know this video card is not even working (though it does have SOME driver installed), I now uninstalled the driver altogether to see what happens. The problem with menus not showing text went away.

I'll now re-install the latest drivers from both Dell and AMD, see what happens, but I definitely won't put my hopes up.
Comment 152 r@fael.lv 2017-08-15 15:41:40 UTC
Following-up on my earlier post above, reinstalling the latest AMD driver from the AMD site broke LibreOffice again. By entering Catalyst Control Center I could disable the AMD card for LibreOffice only. That fixed LibreOffice again. In my case it seems clear Libreoffice isn't getting along with my AMD graphics card, though it works with the Intel card.
Comment 153 r@fael.lv 2017-08-15 15:42:21 UTC
How can this be marked resolved/fixed? Where is the fix?
Comment 154 V Stuart Foote 2017-08-15 16:00:18 UTC
(In reply to r@fael.lv from comment #153)
> How can this be marked resolved/fixed? Where is the fix?

comment 57
comment 80

As you note, residual issues with bad AMD drivers are pretty clearly NOTOURBUG we can't do much about broken hardware drivers.
Comment 155 Terje Bråten 2017-08-15 17:24:12 UTC
This bug is not fixed, since I have a new computer, and I have also upgraded to the newest drivers.

See my comments #146 and #147
Comment 156 V Stuart Foote 2017-08-15 19:40:30 UTC
@Terje Bråten,

No senes to Reopen this--the root cause for vast majority of users is fixed.

That you are on a Windows 10 system with AMD R7/R5 hybrid GPUs and reasonably current drivers from AMD. That they do not work, while many others with AMD GPUs have no issues, is just another indication that your hybrid AMD system is another _corner case_.

Does your Crimson Relive (replacment for Catalyst) GUI or BIOS allow you to set low powermode to force LibreOffice onto the R7 iGPU, or conversely onto the R5 dGPU?
Comment 157 Yuri 2017-08-15 22:36:47 UTC
You talking about possible workaround, not about bugfix.

BTW. My HP laptop with AMD APU (A8-7410 + Radeon R5) has not separate different video. So, starting from LO 5.3 neither with profile, nor with _any_ Radeon drivers works. Same shame - no letters in menues. No matter - GL turned on in LO, or off.

Only old 5.2.7.2 LO works fine. However, funny sympthom - if I turns on GL in settings, menu letters gone like 5.3+.

So, too much corner cases, heh?
Comment 158 V Stuart Foote 2017-08-15 23:27:40 UTC
(In reply to Yuri from comment #157)
> You talking about possible workaround, not about bugfix.
> 
> BTW. My HP laptop with AMD APU (A8-7410 + Radeon R5) has not separate
> different video. So, starting from LO 5.3 neither with profile, nor with
> _any_ Radeon drivers works. Same shame - no letters in menues. No matter -
> GL turned on in LO, or off.
> 
> Only old 5.2.7.2 LO works fine. However, funny sympthom - if I turns on GL
> in settings, menu letters gone like 5.3+.
> 
> So, too much corner cases, heh?

No this bug was fixed-- comment 57 comment 80 and pushed to 5.4.0.3 builds--supporting the vast majority of Windows OS user configurations.

And for folks in the corner case stuck with crappy Windows 10 AMD drivers on laptop hardware, identifying a functional driver combo is up to you.

Post up your dxdiag.exe results (system & display), we'll have a record at least.
Comment 159 darioforacappa 2017-08-16 15:19:29 UTC
Created attachment 135590 [details]
My dxdiag with 5.4 LO don't work

I installed 5.4 but don't work
Comment 160 Terje Bråten 2017-08-16 20:24:26 UTC
(In reply to V Stuart Foote from comment #156)
> @Terje Bråten,
> 
> No senes to Reopen this--the root cause for vast majority of users is fixed.
> 
> That you are on a Windows 10 system with AMD R7/R5 hybrid GPUs and
> reasonably current drivers from AMD. That they do not work, while many
> others with AMD GPUs have no issues, is just another indication that your
> hybrid AMD system is another _corner case_.
> 
> Does your Crimson Relive (replacment for Catalyst) GUI or BIOS allow you to
> set low powermode to force LibreOffice onto the R7 iGPU, or conversely onto
> the R5 dGPU?

I am sorry, but I do not understand that question.

What is Crimson Relive?
Comment 161 V Stuart Foote 2017-08-16 21:53:18 UTC
AMD replaced Catalyst driver framework with Crimson edition ReLive. You need to determine if either the Crimson ReLive GUI or system BIOS allows you to control which GPU (the internal R7 iGPU, or discrete R5 dGPU) is active with LibreOffice. Often with the switchable graphics--it will be the "low power" setting.
 

=-ref-=
http://support.amd.com/en-us/download/desktop?os=Windows%2010%20-%2064
Comment 162 Piter Sadroc 2017-08-17 02:22:11 UTC
Done with the gobbledy-gook and technobabble. Blame the user... It's our fault apparently. How dare we own a computer that doesn't do "xyz"... It's like owning a car that can only turn right... it's your fault you live on a left hand bend! Look at all the happpy-clappy people who live on right hand bends! They don't have any problems with our car. It's your fault. Go and move somewhere else...That is the line of reasoning we're getting from LO... They don't seem to get it. Our computers run perfectly well, there are no dodgy drivers of any ilk... we are running all sorts of 3rd part software with ostensibly less credo than LO without having techno jargon thrown at us... How does someone NOT get angry with their response?
Comment 163 Terje Bråten 2017-08-17 09:27:15 UTC
(In reply to Piter Sadroc from comment #162)
> Done with the gobbledy-gook and technobabble. Blame the user... It's our
> fault apparently. How dare we own a computer that doesn't do "xyz"... It's
> like owning a car that can only turn right... it's your fault you live on a
> left hand bend! Look at all the happpy-clappy people who live on right hand
> bends! They don't have any problems with our car. It's your fault. Go and
> move somewhere else...That is the line of reasoning we're getting from LO...
> They don't seem to get it. Our computers run perfectly well, there are no
> dodgy drivers of any ilk... we are running all sorts of 3rd part software
> with ostensibly less credo than LO without having techno jargon thrown at
> us... How does someone NOT get angry with their response?

You talk like you are entitled to some level of support. How much have you paid them? Do you have a support contract of any kind with these developers?

These developers are giving us advise for free, and are not compelled to do so in any way. Please show some respect.
Comment 164 Piter Sadroc 2017-08-17 10:22:52 UTC
Ahh, but I do respect the work they do. And I recognize it is all done gratis... The respect you ask of me- and rightfully so- is the type of respect that seems to flow one way. What I object to is advice that makes the user feel they are the village idiots for being stupid enough to buy a machine that your software won't work properly on. In no way am I calling into question the ability or the workmanship of those who volunteer their labor. It's just when the user is shown little respect, it's kinda hard to keep quiet. Especially as I imagine that most people who use LO would have difficulty understanding what some of the answers mean. It is a habit techies get into (and I know, I've been, in the past. involved with techies on a different level)and it is not unusual they feel affronted when someone tries to get through to them they aren't speaking English. Or, at least, a form of English the greater bulk of users utilise. Respect needs to flow both ways. If we are saying to you that the drivers are the latest, the hardware is the best we can buy, and yet the later versions of LO don't work, please see that as genuine feedback. Yet we are told to go and find a better driver, it's our fault... While I don't always agree with "the customer is always right" mentality, it would be equally pleasant if we, as faithful users of LO, are also accorded the respect you expect us to give you.
Comment 165 Buovjaga 2017-08-17 16:04:57 UTC
Could those still affected by the issue do this:

1. Install this master build which has debug information: https://dev-builds.libreoffice.org/daily/master/Win-x86@39/current/
2. Open the Windows command line
3. In the command line change directory to the program/ inside the master build install path
4. Run this command: set SAL_LOG=1
5. Still in the same command line, run LibreOffice with this command: soffice.exe 2>debug.txt
6. You can quit LibreOffice soon after launch as the problem is immediately there (the invisible text)

This will write a lot of debug information to a text file called debug.txt in the program/ directory. You should then attach the debug.txt file to this bug and developers can look at it.
Comment 166 Terje Bråten 2017-08-20 19:23:08 UTC
(In reply to Buovjaga from comment #165)
> Could those still affected by the issue do this:
> 
> 1. Install this master build which has debug information:
> https://dev-builds.libreoffice.org/daily/master/Win-x86@39/current/
> 2. Open the Windows command line
> 3. In the command line change directory to the program/ inside the master
> build install path
> 4. Run this command: set SAL_LOG=1
> 5. Still in the same command line, run LibreOffice with this command:
> soffice.exe 2>debug.txt
> 6. You can quit LibreOffice soon after launch as the problem is immediately
> there (the invisible text)
> 
> This will write a lot of debug information to a text file called debug.txt
> in the program/ directory. You should then attach the debug.txt file to this
> bug and developers can look at it.

I tried this, and the file debug.txt is 0 bytes long.
Comment 167 Piter Sadroc 2017-08-21 02:27:55 UTC
Hmmm.... I also tried this... 3 different ways and each time the debug.txt comes in at 0 bytes... 

However, and this may help, the first time I installed the Dev version, I didn't read the instructions closely enough and launched the Dev version directly (i.e. prior to executing steps 4 and 5 of the instructions so kindly provided)and my neat little System Explorer tool showed that suddenly the CPU was in overdrive...well suddenly shot to 63% usage and the .exe that was causing it was, I believe CCC.exe- Catalyst...

But replicating it has been difficult. I uninstalled LODev, rebooted, re-installed, but couldn't get it to replicate the frenetic activity again. Even by bypassing the instructions given... so I followed your instructions and have included the 3 versions of zero byte sized debug files, note timestamps.

And you're right, LODev 6 still refuses to show text
Piter
Comment 168 Piter Sadroc 2017-08-21 02:34:56 UTC
Created attachment 135682 [details]
zero byte debug

hmmmm ... it seems your system won't allow me to send zero byte sized files. So I've done a screen grab of the folder in which I've put the debug files..
Comment 169 Buovjaga 2017-08-21 07:57:32 UTC
I was afraid it might go like that. I used instructions I myself wrote to our wiki, but apparently the regular Windows command line cannot be used after all.

It works in cygwin, though. I'm sorry to have to give you even more steps, but here goes..

Download https://cygwin.com/setup-x86_64.exe and install the minimum base (you don't have to select any extra things besides the default).

Launch cygwin and change directory to the LibreOffice dev version like so:
cd "/cygdrive/c/Program Files (x86)/LibreOfficeDev 5/program"

Now give the command to set the environment variable, the same command works:
set SAL_LOG=1

Next run LibreOffice with:
soffice.exe 2>debug.txt
Comment 170 Buovjaga 2017-08-21 08:08:02 UTC
(In reply to Buovjaga from comment #169)
> Next run LibreOffice with:
> soffice.exe 2>debug.txt

Sorry about that, it should be:

./soffice.exe 2> debug.txt

Another mistake I noticed is that I gave LibreOfficeDev 5 as the example path, but it will be LibreOfficeDev 6.
Comment 171 Piter Sadroc 2017-08-21 08:09:39 UTC
OK, thanks, I'll give it a shot shortly. Just having dinner....
Comment 172 Piter Sadroc 2017-08-21 08:57:28 UTC
I am getting this error:

-bash: syntax error near unexpected token `('

I have double-checked it is all correct... repeated, same result. I've never used cygwin... what am I doing wrong?
Comment 173 Piter Sadroc 2017-08-21 09:02:33 UTC
Panic over... forgot the quotation marks...
Comment 174 Piter Sadroc 2017-08-21 09:09:23 UTC
Hmmm, well that was better than a zero.Though not by much.

The 38 byte text of the debug.txt reads:

-bash: soffice.exe: command not found

and yet, there it is in the same folder....is a puzzlement
Comment 175 Piter Sadroc 2017-08-21 09:11:55 UTC
Created attachment 135686 [details]
Screenshot of soffice's existence

Here is the evidence... what am I doing wrong?
Comment 176 Piter Sadroc 2017-08-21 09:27:59 UTC
Again, I wasn't paying attention... got it working... another bout of flu heading my way...
Comment 177 Piter Sadroc 2017-08-21 09:29:42 UTC
Created attachment 135690 [details]
This oughta help...I hope

Terse, but hopefully useful
Comment 178 Tomaz Vajngerl 2017-08-21 09:40:30 UTC
it should log everything so this is not nearly what is expected
Comment 179 Piter Sadroc 2017-08-21 09:43:34 UTC
I'll give it another shot, if it's the same, I'll reboot (again) and see if that makes a difference... should be back to within 1/2 hr
Comment 180 Luis 2017-08-21 09:47:38 UTC
From comment 129:

"in all of the menus there seems to be a small missing part of the last letter. See attachment."

This is bug 111882. Related to rendering of antialiased Tahoma font with size <= 8.
Comment 181 Tomaz Vajngerl 2017-08-21 09:52:35 UTC
can you try running:

SAL_LOG=1 ./soffice.exe 2> debug.txt
Comment 182 Tomaz Vajngerl 2017-08-21 09:54:56 UTC
LO should open normally.. you can exit right away
Comment 183 Piter Sadroc 2017-08-21 09:56:35 UTC
Just re-installing cygwin....
Comment 184 Piter Sadroc 2017-08-21 10:05:15 UTC
Give me a few more minutes... I realized as I was downloading all the packages I'll be doing so for ... hours. So cancelled it, reduced packages, it's flying along... I Also may note for future reference, cygwin needs to be run in admin mode to write to C:... or, at least, on my machine I do
Comment 185 Piter Sadroc 2017-08-21 10:34:32 UTC
Created attachment 135692 [details]
A much fuller debug.txt file

OK, this looks a fatter file than before... surely some gold nuggets will be found herein...
Comment 186 Tomaz Vajngerl 2017-08-21 10:42:17 UTC
oh.. disable OpenGL if it is enabled
Comment 187 Piter Sadroc 2017-08-21 10:45:57 UTC
Sorry... just hit my technical know-how bottom. How do I disable OpenGL?
Comment 188 Tomaz Vajngerl 2017-08-21 11:00:45 UTC
oh.. try to run:

SAL_DISABLEGL=1 SAL_LOG=1 ./soffice.exe 2> debug.txt
Comment 189 Piter Sadroc 2017-08-21 11:10:04 UTC
Created attachment 135693 [details]
Disabled GL

I was in the midst of googling how to disable OpenGL... not very helpful pages.
Anyhow, executed your instruction, LODev still showed no sign of text.. As I'm doing a fair bit of these debug files, I'm adding a version number. This is version 7
Comment 190 Tomaz Vajngerl 2017-08-28 13:09:27 UTC
Unfortunately I don't see what I need in this logs.. I wonder why. I'll try to add some more logging and maybe some fallbacks int the code and let's see..
Comment 191 Aron Budea 2017-08-29 10:58:06 UTC
*** Bug 112085 has been marked as a duplicate of this bug. ***
Comment 192 Terje Bråten 2017-09-02 21:20:33 UTC
I did this:
I downloaded https://dev-builds.libreoffice.org/daily/master/Win-x86_64@42/current/libo-master64~2017-08-30_23.09.59_LibreOfficeDev_6.0.0.0.alpha0_Win_x64.msi
Ran that installer.
Opened a Cygwin window
$ cd /cygdrive/c/Program Files/LibreOfficeDev 6/program

Terje@Braten01 /cygdrive/c/Program Files/LibreOfficeDev 6/program
$ SAL_DISABLEGL=1 SAL_LOG=1 ./soffice.exe 2> debug.txt
-bash: debug.txt: Permission denied

Terje@Braten01 /cygdrive/c/Program Files/LibreOfficeDev 6/program
$ SAL_DISABLEGL=1 SAL_LOG=1 ./soffice.exe 2> /cygdrive/c/Users/Terje/Documents/lofficeDebug.txt

Terje@Braten01 /cygdrive/c/Program Files/LibreOfficeDev 6/program
$ ls -l /cygdrive/c/Users/Terje/Documents/lofficeDebug.txt
-rw-rw-r--+ 1 Terje None 0 Sep  2 22:17 /cygdrive/c/Users/Terje/Documents/lofficeDebug.txt

Terje@Braten01 /cygdrive/c/Program Files/LibreOfficeDev 6/program
$ cat /cygdrive/c/Users/Terje/Documents/lofficeDebug.txt

Terje@Braten01 /cygdrive/c/Program Files/LibreOfficeDev 6/program
$
Comment 193 Piter Sadroc 2017-09-03 06:49:55 UTC Comment hidden (no-value)
Comment 194 Will G 2017-09-03 18:48:52 UTC
Two days ago I also experienced invisible text and menus as was reported here.  For me, it happened after the Windows 10 Creator Update was installed. 

My video drivers were current so I upgraded from LibreOffice 5.3.3 Win_x64 to the newest version, LibreOffice 5.4.1 Win_x64.  That didn't help so I did a clean install of my video drivers rule out corruption, still no help.  Finally, I rolled back the Windows 10 Creator Update.  That worked, LibreOffice displayed normally. 

Dell Inspiron 17 5765
AMD FX-9800P RADEON R7, 12 COMPUTE CORES 4C+8G 2.70 GHz
Windows 10 

Details follow:

Radeon Software Version - 17.7.2
Radeon Software Edition - Crimson ReLive
Graphics Chipset - AMD Radeon R7 Graphics
Memory Size - 1024 MB
Memory Type - DDR4
Core Clock - 758 MHz
Windows Version - Windows 10 (64 bit)
System Memory - 16 GB
CPU Type - AMD FX-9800P RADEON R7, 12 COMPUTE CORES 4C+8G

Radeon Settings Version - 2017.0720.1902.32426
Driver Packaging Version - 17.30.1041-170720a-316467C-CrimsonReLive
Provider - Advanced Micro Devices, Inc.
2D Driver Version - 8.1.1.1614
Direct3D® Version - 9.14.10.01292
OpenGL® Version - 6.14.10.13491
OpenCL™ Version - 22.19.662.4
AMD Mantle Version - 9.1.10.0220
AMD Mantle API Version - 102400
AMD Audio Driver Version - 10.0.1.1
Vulkan™ Driver Version - 1.6.0
Vulkan™ API Version - 1.0.51

Graphics Card Manufacturer - Powered by AMD
Graphics Chipset - AMD Radeon R7 M440
Device ID - 6900
Vendor ID - 1002
SubSystem ID - 076A
SubSystem Vendor ID - 1028
Revision ID - C3
Bus Type - PCI Express 3.0
Current Bus Settings - PCI Express 3.0 x4
BIOS Version - 015.049.000.013
BIOS Part Number - SWBRT00931.001
BIOS Date - 2016/05/29 23:26
Memory Size - 4096 MB
Memory Type - GDDR5
Memory Clock - 1000 MHz
Core Clock - 920 MHz
Total Memory Bandwidth - 32 GByte/s
Memory Bit Rate - 4.00 Gbps
2D Driver File Path - /REGISTRY/MACHINE/SYSTEM/ControlSet001/Control/Class/{4d36e968-e325-11ce-bfc1-08002be10318}/0001

Graphics Card Manufacturer - Powered by AMD
Graphics Chipset - AMD Radeon R7 Graphics
Device ID - 9874
Vendor ID - 1002
SubSystem ID - 076A
SubSystem Vendor ID - 1028
Revision ID - C8
Bus Type - PCI
Current Bus Settings - PCI
BIOS Version - 015.048.000.069
BIOS Part Number - 113-C75100-X30
BIOS Date - 2016/03/27 22:58
Memory Size - 1024 MB
Memory Type - DDR4
Memory Clock - 933 MHz
Core Clock - 758 MHz
Total Memory Bandwidth - 14 GByte/s
Memory Bit Rate - 1.87 Gbps
2D Driver File Path - /REGISTRY/MACHINE/SYSTEM/ControlSet001/Control/Class/{4d36e968-e325-11ce-bfc1-08002be10318}/0000
Comment 195 Terje Bråten 2017-09-07 21:30:04 UTC
This bug has status "RESOLVED FIXED", while we are many that still have this issue on our computer.

Should we open a new bug, since you do not want to reopen this one?

T.
Comment 196 Tomaz Vajngerl 2017-09-07 22:11:51 UTC
Terje 

Yeah, that would be better as this bug is a combination of something that was fixed and a the rest of partially related issues. Starting clean would be good.
Comment 197 Tomaz Vajngerl 2017-09-07 22:16:32 UTC
Will G. Ugh... that's interesting
Comment 198 Terje Bråten 2017-09-09 22:16:49 UTC
(In reply to Tomaz Vajngerl from comment #196)
> Terje 
> 
> Yeah, that would be better as this bug is a combination of something that
> was fixed and a the rest of partially related issues. Starting clean would
> be good.

Ok I have created bug #112305 for this purpose.

May be we should all head over there.
Comment 199 fhannaham 2017-09-21 13:22:29 UTC
Comment on attachment 134556 [details]
What I get when I install LO 5.3.4.2

I am experiencing a similar issue after upgrading to version 5.3.6.

How does a user resolve the problem?
Comment 200 Piter Sadroc 2017-09-21 13:57:18 UTC
My experience in resolving the problem: 1/ Post the problem 2/ Get told it's your hardware that doesn't work, get newer drivers... 3/ you have the latest drivers for your hardware 4/ You ask for the problem to be fixed 4/ It's your problem you haven't got the latest hardware... look at all the people it works for! 5/ you re-install -again- an older version of LO 6/ you wait a week or two if there is anyone who might understand you aren't a village idiot who just wants to make trouble 7/ Despite the problem being classified as "resolved" etc, you still have the problem 8/ thinking you may have misunderstood something, you try all the suggestions and install the newer version, because everyone says it works for them 9/ It doesn't 10/ you uninstall and re-install the older version that plainly works 11/ you keep repeating the process until you get tired of running in every-diminishing circles 12/ you uninstall everything that looks like LibreOffice 13/ you sell your soul to the devil and buy Microsoft Office 365, because life is way too short to be running around not getting answers, being made to feel you're the idiot, all you want to do is type up a document, create a spreadsheet without the hassle of getting a degree in computing to do so.. R.I.P. Here ends "My experience" Enjoy the trip!
Comment 201 Buovjaga 2017-09-21 14:42:40 UTC
(In reply to fhannaham from comment #199)
> Comment on attachment 134556 [details]
> What I get when I install LO 5.3.4.2
> 
> I am experiencing a similar issue after upgrading to version 5.3.6.
> 
> How does a user resolve the problem?

See the continuing discussion in bug 112305 for the latest news.
Comment 202 V Stuart Foote 2017-09-21 15:52:43 UTC
*** Bug 112550 has been marked as a duplicate of this bug. ***
Comment 203 M. 2017-10-03 10:22:23 UTC
Text in menues first disappeared when updating to 5.3.2.
5.3.1 still worked fine, roll back to 5.3.1. made the menue texts to show again.
5.3.3. still has the same bug as 5.3.2.
Not solved neither with 5.4.0. nor 5.4.1.. 
Last one that works is still 5.3.1.2

HP Probook 4540s
Microsoft Windows 10 Professional (x64) Build 15063.296 (Latest)
Intel(R) Core(TM) i5-2450M CPU @ 2.50GHz
Intel(R) HD Graphics 3000 (driver ver. 9.17.10.4459)
AMD Radeon HD 7650M (driver ver. 15.201.1301.0)
4GB Ram
Comment 204 Xisco Faulí 2017-10-03 10:23:44 UTC
(In reply to M. from comment #203)
> Text in menues first disappeared when updating to 5.3.2.
> 5.3.1 still worked fine, roll back to 5.3.1. made the menue texts to show
> again.
> 5.3.3. still has the same bug as 5.3.2.
> Not solved neither with 5.4.0. nor 5.4.1.. 
> Last one that works is still 5.3.1.2
> 
> HP Probook 4540s
> Microsoft Windows 10 Professional (x64) Build 15063.296 (Latest)
> Intel(R) Core(TM) i5-2450M CPU @ 2.50GHz
> Intel(R) HD Graphics 3000 (driver ver. 9.17.10.4459)
> AMD Radeon HD 7650M (driver ver. 15.201.1301.0)
> 4GB Ram

This bug is closed. the discussion continues in bug 112305. Thanks
Comment 205 Aron Budea 2017-10-03 10:31:05 UTC
*** Bug 111439 has been marked as a duplicate of this bug. ***
Comment 206 V Stuart Foote 2017-10-03 14:07:02 UTC
While this bug is closed, with further discussion moved to bug 112305, users still affected should know of a patch [1] for the 5.3.7 release available for testing in a TDF configured build:

32-bit
http://dev-builds.libreoffice.org/daily/libreoffice-5-3/Win-x86@62-TDF/current/

64-bit
http://dev-builds.libreoffice.org/daily/libreoffice-5-3/Win-x86_64@62-TDF/current/

You could perform a full install, or perform a /a administrative install in parallel [2]

=-ref-=
[1] https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-5-3&id=5440837e02dee8bc884e02be697bfd4def621d26

[2] https://wiki.documentfoundation.org/Installing_in_parallel/Windows

=-NOTE-=
Please do not comment here, but devs would appreciate feedback on bug 112305, thanks!
Comment 207 Aron Budea 2017-10-03 15:43:26 UTC
(In reply to V Stuart Foote from comment #206)
> You could perform a full install, or perform a /a administrative install in
> parallel [2]

Note: since this installer is named LibreOfficeDev, it can be installed alongside a regular LibreOffice installation normally.
Comment 208 Philippe_E 2017-10-04 07:23:40 UTC
(In reply to V Stuart Foote from comment #206)
> While this bug is closed, with further discussion moved to bug 112305, users
> still affected should know of a patch [1] for the 5.3.7 release available
> for testing in a TDF configured build:
> 
> 32-bit
> http://dev-builds.libreoffice.org/daily/libreoffice-5-3/Win-x86@62-TDF/
> current/
> 
> 64-bit
> http://dev-builds.libreoffice.org/daily/libreoffice-5-3/Win-x86_64@62-TDF/
> current/
> 
> You could perform a full install, or perform a /a administrative install in
> parallel [2]
> 
> =-ref-=
> [1]
> https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-5-
> 3&id=5440837e02dee8bc884e02be697bfd4def621d26
> 
> [2] https://wiki.documentfoundation.org/Installing_in_parallel/Windows
> 
> =-NOTE-=
> Please do not comment here, but devs would appreciate feedback on bug
> 112305, thanks!

Hello V Stuart,

I tried version 5.3.7 and the problem is solved on my HP computer with Radeon card, even if the graphics card is set in Dynamic mode via the bios.

With version 5.3.6 it is necessary to operate the Fixed mode. When I switch to Dynamic mode on the Bios, then the legend texts disappear, even if I assign the Intel Energy Saving GPU to soffice.bin via the Catalyst Control Center settings.

So I look forward to the official release of LO 5.3.7 to go back to Dynamic mode!

Philippe
Comment 209 letal_chavrou 2017-11-05 18:53:32 UTC
Hi,

After getting the version 5.3.6 my LO doesn't work (text invisible...). I tried the 5.4.2 it does the same.

I've got a HP Probook 5310m under Win7 Pro.

I turned back to 5.3.1 it works.

But i didnt get how to make the 5.4.2 to work or at least the 5.3.7 as V Stuart Foote explained. The link 
http://dev-builds.libreoffice.org/daily/libreoffice-5-3/Win-x86@62-TDF/current 
makes a 404 error.

And can someone explain to me how to do this patch ?

Thanks.
Comment 210 V Stuart Foote 2017-11-05 19:02:45 UTC
(In reply to letal_chavrou from comment #209)
> 
> And can someone explain to me how to do this patch ?

The 5.3.7.2 build is on the release mirrors.
http://www.libreoffice.org/download/download/

The 5.4.3.2 build is in pre-release.
http://dev-builds.libreoffice.org/pre-releases/win/

An install of either should work correctly for you.
Comment 211 Xisco Faulí 2017-11-14 16:17:52 UTC
*** Bug 113832 has been marked as a duplicate of this bug. ***